Welcome to NoteWorthy Composer

Welcome to NoteWorthy Composer ™ 2

NoteWorthy Composer 2 is a music composition and notation processor for Windows. It provides for the creation, play back, and printing of your own musical scores. It will also save your compositions to other MIDI applications, thus making your compositions available to a wide variety of music software on the market today. Additionally, NoteWorthy Composer 2 is able to automatically convert standard MIDI files into notation, thus enabling the exploration of existing songs that you may have on your machine already.

This section introduces the application, assists in installing and setting it up, and facilitates getting comfortable with its capabilities. The following areas are covered in this introduction:

What’s New:
A summary of the new features added in version 2.1, as well as the original 2.0 release.

Getting Started:
You have just installed NoteWorthy Composer 2, and you are not sure where to go from here? This section can help.

Common Questions:
Commonly asked questions by users of NoteWorthy Composer and our answers. Try looking here before asking for assistance.

Command Reference:
A description of all menu commands, keyboard shortcuts, and tool bar buttons is provided in this reference. Select these reference sources if you want to know what something in the NoteWorthy Composer 2 application does or how it works.

Getting Support:
If you want or need support, we can help. This tells you where and how to ask for help.

A product of NoteWorthy Software, Inc.
http://NoteworthySoftware.com


Getting Started

After installing NoteWorthy Composer 2 on your system, you are now ready to start working with music and playing back existing scores and MIDI files. The following topics help you to get started in this effort.

Working with Song Files:
NoteWorthy Composer 2 comes installed with several complete score files (as well as song excerpts) which are ready to be played back and printed. This section explains how song files are used in NoteWorthy Composer 2.

Configuring for Sound:
NoteWorthy Composer 2 needs to be configured for sound before any scores can be played back. This section explains how to do this.

Creating a New Song:
Once you have successfully played back one or more of the sample songs, you are ready to create your own works. This section will help you get started in this process.

Working in the Score Editor:
Whether you are creating a new song, or changing an existing song, this section can help explain how the score editor works, and how notation can best be placed into the active staff.


What's New

What’s New in NoteWorthy Composer Version 2.1

  • New interactive piano bar, with significant editor integration
  • New "Viewer Mode" for in place editing of the printed view of the work
  • New cross hair for quickly finding your current location/insertion point
  • Improved active staff boundary lines when in edit mode
  • Color highlighting for noteheads with a new quick access tool palette
  • New backup mechanism for handling .bak files during save
  • New staff label taskbar in the editor, with tooltip for current clef, key, and time signature
  • New persistent selection when changing the active staff
  • New multiple document selector in the status bar
  • New Layering Tool for quickly combining visible staves into layers
  • Play/record indicator in the document selector
  • Current clef, time signature, bar and MIDI channel are shown in the status bar
  • A file changed indicator in the editor window's title bar and Window menu selector
  • An origin indicator in the editor window's title bar and Window menu selector for unsaved editor windows from imported or backup sources
  • Support for opening a file as "read-only"
  • New "Fake" items in user tool clip text provide reliable play context for smaller clipped sections
  • Expand editor background color control to support full RGB palette
  • New active staff background color while in edit mode
  • A command line program, nwc-conv.exe, is now included for converting *.nwc files to and from various other formats
  • New "Show/Hide Rest" option for RestChord objects
  • New line drawing techniques to help work around buggy print drivers
  • Tools->Windows Volume Control support in Windows 7 and Vista
  • MIDI import safeguards when encountering null tempos
  • Audit bar line handling of double dots at bar boundary
  • Leger lines now always print in matching color to the staff
  • Leger lines are drawn consistently for staves with custom number of lines
  • Improved default folder for "Song Files" and "Auto Save/Recovery" file locations when not set by the user
  • Improved tempo variance handling for adjacent grace notes
  • Improved triplet bracket positioning for starting or ending rest
  • Improved notehead alignment for split stem chords
  • Allow larger notation from File, Page Setup, Fonts
  • Accept MIDI notes down to C-1
  • Use standard notation octave indicators (C-1 to G9) in MIDI import instructions

What’s New in NoteWorthy Composer 2

  • Support for user selectable notation font
  • Hear notes as you add them to the staff
  • Hairpin/graphic crescendo/diminuendo note properties
  • X noteheads for percussion notes
  • Diamond noteheads for other non-pitched and harmonic notes
  • A blank notehead for unusual circumstances
  • Percussion Clef
  • A new Instrument Tree mechanism
  • New Bi-directional Clipboard Text
  • New user tool mechanism for scripting clip text processing
  • Lyricist field (in addition to the existing Author/Composer field)
  • User control over note stems
  • Slurs are now drawn to the contour of the enclosing notes
  • Default beam placement and slant have been completely redesigned
  • Grace note scaling is now more consistent with standard conventions
  • Accidentals and other note symbols are now scaled on grace notes
  • Grace notes are slurred independently from primary notes
  • Grace note stems default to up when their stem direction is not set
  • Text expressions now show typeface, style, and size for font selection
  • A new anchor symbol for expressions (a replacement for the diamond)
  • Optional support for underscores in your lyrics (shut off translation to spaces)
  • Staff labels, which are separate from the staff name
  • Staff labels can optionally be shown in the editor
  • New "Use stem for articulations" option for selected notes
  • Inverted fermata is now automatic when placed below the center of the staff
  • Automatic handling of accidentals for tied notes across bar lines
  • Hidden items show in active and inactive colors for quicker identification
  • New note alignment algorithm (the notation alignment scheme has been totally redesigned)
  • Accidental placement within chords has been totally redesigned, making them more consistent with prevailing notation guidelines
  • Bar lines can optionally be excluded from the built-in measure counter
  • Improved expression placement options
  • Improved rendering of Grand Staff and Orchestral Staff braces
  • Copy Special and Print Preview Copy now use the Windows Enhanced Metafile format (EMF)
  • Staff notation limits increased to 32000 items (an almost 300% increase)
  • New top and bottom margins in the score editor
  • Wheel mouse can now be used for vertical scrolling
  • More highlight colors (7 highlight colors, double the version 1 highlights)
  • Direct entry of Multi-point Controller values via Edit boxes
  • Toolbar data is now stored in the Config Files folder, and is named "nwc2toolbars.dat"
  • When run on Windows XP, the selected display theme is supported in dialogs and windows
  • File Open/Save now support new Windows 2000/XP/Vista favorites section on the left side of the dialog
  • Mouse pointer in editor uses system cursor when run on a Windows XP/Vista system
  • New Justify printed systems vertically option for controlling whether printed systems are justified vertically when printing

Some version 2.0 features explained in more detail:

  • User selectable notation font
    The staff notation typeface can now be specified by the user. This is done from File, Page Setup, Fonts (tab). The Staff Size option from version 1 is also found on this tab (moved from the File, Page Setup, Options tab).

  • Crescendo and [image] Diminuendo Attributes for Selected Notes
    Graphic crescendo and diminuendo can now be added as easily as slurs are applied to notes. Simply select the notes that are included in the volume swell or fade, then press the < key for a crescendo symbol, or the > key for the diminuendo symbol. The hairpins are placed on the staff consistent with the preceding Dynamic mark that you should already have inserted into the staff.

    Note that the shortcut for adding a note accent has been moved to the exclamation point (!).

  • X noteheads for percussion notes
    You can add new notes that use the X notehead by first selecting the X Notehead tool, then adding notes as normal. The only difference is that the notes will now show up with an X as their notehead. The easiest way to change noteheads during note entry is to use the Q key to cycle through the available notehead styles.

    The notehead of existing notes can also be changed by selecting them first, then pressing the X Notehead tool button.

  • Diamond noteheads for other non-pitched and harmonic notes
    The procedure for inserting diamond notes or changing notes to use the diamond shape is the same as for X noteheads described above, except that the Diamond Notehead tool is selected instead.

  • Percussion Clef
    The percussion clef can be added quickly using the new quick insert tool button shown. It can also be adding using the conventional Insert | Clef command. Note that the percussion clef is treated just like a bass clef for MIDI input, play back, and key signature support. Technically, a percussion clef has no concept of pitch, but in the MIDI domain, a means of determining pitch is still necessary. Defaulting to Bass Clef seems to be a good default choice. You can use the Staff Properties Transpose value to alter this behavior as needed.

  • A new Instrument Tree mechanism
    The NTWPATCH.INI mechanism from version 1 has been removed. A new instrument tree mechanism has been added in its place. User customizable instrument trees are used to create and select predefined instruments, with full control over all instrument properties, including bank select, transpose, and default dynamic note velocities. New Instrument Tree files are added to a dedicated folder that is controlled from Tools|Options|Folders, so you can override the default location of these files. Instrument changes in the staff can now show a custom, user assigned name. Default MIDI note velocities for Dynamics are now under user control via Instrument Properties.

  • NWC Clipboard Text
    The Find text introduced in version 1 has been extended to support full textual Copy and Paste operations to and from the clipboard. You can now copy and paste large selections of staff notation in the Find text format. This enables you to edit the Find text in a text editor, and then paste it back into the program. The mechanism is automatic. Simply copy notation as normal, but now you can paste the data into any text edit window, such as Windows' Notepad.

    You can see most of the Find text format by simply copying single items from the program into a text editor. When copying single items, more text details are shown than the shorter format used when copying multiple items at once.

    A User Tool mechanism is provided which enables prewritten scripts to applied against selected notation.

    You can now also paste simple text into the staff. It is automatically pasted as a text expression.

  • User control of note stems
    By default, the program tries to make note stem lengths more consistent with conventional notation practices. When necessary, the length of a note stem is now under user control. The stem length can be adjusted, as well as completely hidden.

  • New Lyricist field (in addition to the existing Author/Composer field)
    File | Info now has a field for Lyricist. This is printed on the left side of the title page at the same vertical position as the Author/Composer field.

  • Optional support for underscores in your lyrics (shut off translation to spaces)
    The Configuration tab of Edit | Lyrics now has a new option called "Underscore shown as space" which can be unchecked to disable the underscore translation to space feature.

  • New staff labels

    • A staff can now be named and labeled separately. Each staff must have a unique name, but the label is not subject to this restriction. A grand staff label can now be controlled by the first staff in the grand staff brace by simply assigning the other staves to a blank label.

    A new option is added to Tools | Options that controls whether staff labels will be shown in the editor. This new option is separate from the Page Setup options that control whether staff labels appear when printing.

  • Hidden items show in active and inactive colors for quicker identification
    You can set the exact color scheme that is used in the editor from the Tools | Options | Color area. Make sure that you have a score edit window open before going to this area.

  • A new anchor symbol
    A new anchor symbol for expressions that do not preserve width.

  • Staff notation limits increased to 32000 items
    Any staff can now have up to 32000 items in it. Each note, rest, chord, bar line, or other object on the staff counts as one item. The old version 1.* limit was 12000 items.

  • More highlight colors
    You now have access to seven different highlight colors for drawing special attention to some areas of your work. This is more than double the number of highlights that were available in version 1.

  • Direct entry of Multi-point Controller values
    You no longer are required to use the data entry sliders for those small adjustments to your Multi-point Controller settings. New edit boxes for each control point allow you to quickly modify your settings. The sliders are still available for use and reference, and they even update as you change the values in the edit boxes.

  • Windows XP enhancements
    If you are using Windows XP, several enhancements will be automatically available in this new version. This new version is more aware of the themes feature that is controlled from the Display applet of the Control Panel. Your selected theme and more of the controls in the program interface will be consistent with your selected theme. Windows XP also allows user control over the hand cursor, and this new version utilizes this system cursor. Lastly, the File Open and Save dialogs include extra options that are only available on Windows 2000, Windows XP, or Windows Vista systems.


Common Questions

All of the most common questions are included below. Simply click on the answer link to find out more about any question listed below.

Getting Started

  1. What is the best way to get started using NWC? Answer
  2. How do I create a MIDI File (*.mid)? Answer
  3. How do I enter more than one staff? Answer
  4. How do I work with chords - notes aligned vertically? Answer
  5. What is the procedure to change notes to a new clef? Answer
  6. Is there an easy way to change the key of a song? Answer
  7. What does Preserve Width mean? Answer
  8. Why are my Beam and Triplet commands not available? Answer
  9. Is there a way to quickly edit symbols? Answer
  10. What is the fastest way to notate with NoteWorthy Composer? Answer
  11. How do I make more space between staves so the notes do not intersect? Answer
  12. How do I enter a multi-measure rest? Answer
  13. How do I Audit Bar Lines with a pick up note (anacrusis)? Answer
  14. Where do I select how I want the staves to be connected? Answer
  15. How do I skip notes that I do not want to have lyrics? Answer
  16. Can you move a note instead of deleting and re-entering it? Answer
  17. Is there a way to put notes closer together on the staff? Answer
  18. How can an icon be forced to stay on, or active? Answer
  19. How do I create my own templates? Answer
  20. How does the Linear Sweep Contour in the MPC work? Answer

Play and Sound

  1. How can other people play back my .NWC files if they do not have NoteWorthy Composer? Answer
  2. Is there a loop play function in NoteWorthy Composer? Answer
  3. How does the Multi-point Controller work? Answer
  4. Do I always have to start play back from the beginning? Answer
  5. Why does a note sometimes keep playing all through an entire song, as if it were stuck on? Answer
  6. How can I play back only one staff of my song? Answer

Recording

  1. How do I set up to use a MIDI keyboard with NWC? Answer
  2. How do I record live play from my MIDI keyboard? Answer
  3. How do I use my MIDI keyboard to select the pitch for notes I want to enter at my own pace, not live - step time? Answer

Import & Export

  1. What is imported when a MIDI file has lyrics? Answer
  2. Does NWC support karaoke (*.kar) files? Answer

Miscellaneous

  1. Is there a dictionary for the music terms in NWC? Answer
  2. Can I move the tool bars to be vertical on the side instead of across the top? Answer
  3. Do you have a chart mapping the American note duration names to the English? Answer
  4. Can I move my score to another application, like a word processor? Answer

Troubleshooting

  1. How do I get play back to work? Answer
  2. My system is cutting off notation symbols, is there a work around? Answer
  3. Why does the printed copy cut off the bottom copyright? Answer
  4. I am trying to run NoteWorthy Composer for the first time and it says I do not have enough memory. Why? Answer


Working with Song Files

NoteWorthy Composer 2 uses its own file format to load and store song information to and from files. All NoteWorthy Composer files are named with a file type (or dot extension) of NWC. NoteWorthy Composer 2 files can be loaded using the Open command on the File menu (see Open Command), or by double-clicking on an NWC song file in the File Manager or Explorer. After making changes to an existing song file, the changes can be preserved by saving the changes to the existing file or to a new file. This is accomplished by using the Save command on the File menu (see Save Command).

NoteWorthy Composer 2 is also able to work with song performances stored in standard MIDI files. This makes it possible to convert existing MIDI performances into NoteWorthy Composer scores, where the song can be edited and printed in standard music notation. MIDI files can be created using the Save As command. MIDI files can also be converted to notation using the Open Command from the File menu.

Warning: Much of the formatting information is lost when opening a MIDI file back into NoteWorthy Composer, so you should always save your work as an NWC file first, prior to saving it as a standard MIDI file. A MIDI file only contains the performance data necessary to play back your work.

NoteWorthy Composer 2 fully supports the loading of compatible files by dropping them into NoteWorthy Composer 2 from the File Manager (this is often referred to as Drag and Drop compatibility). Using this technique, a set of MIDI and NoteWorthy Composer files can be simultaneously dropped into NoteWorthy Composer 2 for subsequent editing and play back.

For even faster and convenient access to your most recent songs, NoteWorthy Composer 2 keeps a history of the last ten songs which have been open. These can quickly be loaded by selecting one of the ten songs in the song history list on the File menu (see File History).

You can change the default location for the song files on your machine. The initial song folder is set from the Folders tab in the Options command. We recommend that you keep your songs in a separate folder from the NoteWorthy Composer 2 program files. This will make upgrading to a new version of the program easier and safer in the future.

The Options command area can also be used to set up the auto-save feature, on the File tab. When enabled, this feature works in the background to protect your work, even if you forget to save on your own. In the event of a power outage or some other catastrophic event, you may be able to recover changes you made that were not yet saved to disk, as the auto-save feature may have captured the changes for you.


Configuring Sound in NoteWorthy Composer

After NoteWorthy Composer 2 is initially installed onto your hard drive, it is immediately able to open and print score files with no further adjustments. The scores cannot be played back, however, until NoteWorthy Composer 2 is told which sound device(s) should be used for play back. When it is first installed, the MIDI Mapper will automatically be selected as your default play back device, unless you have already some other device in a prior version of the program. If you do not have any sound hardware on your computer system, NoteWorthy Composer 2 can still be used to create, edit, print, and save score files, but NoteWorthy Composer 2 will be unable to play the scores back so that you can hear them.

The following steps can be used to configure NoteWorthy Composer 2 for sound, so that you can hear scores on play back:

Step 1: If not open already, start the NoteWorthy Composer 2 application

Step 2: Open the menu titled Tools and select Options

Step 3: Select the Midi tab from the group at the top of the dialog.

From within this dialog, follow the instructions as specified in the help section for this tab (see Midi Tab Help)

If there are not any devices listed in either the Available Devices or Devices Used for Play Back list box, then you either do not have sound equipment on your computer or the device has not been configured within Windows. Refer to the documentation associated with your sound card for information on setting up the device in Windows.

Hint: If there are many devices listed and you are not sure which one to select, chose the Microsoft MIDI Mapper, if it is listed. This will allow NoteWorthy Composer 2 to play songs using the same configuration that Windows uses in its own multi-media players. In general, it is a good idea to use only one device for play back. If you move more than one device into the used list, you may get unpredictable results, depending on whether your system really supports multiple, simultaneous MIDI sound sources.

After completing these three steps, you are ready to start hearing the scores that you open in NoteWorthy Composer 2. When you are ready to play a score, the easiest ways of doing it are either by pressing the F5 function key or clicking on the [image] play button in the Toolbars.

A similar procedure can be used for setting up MIDI input and recording. The Record Tab is used to configure an input device for real-time or step entry via a MIDI keyboard or other external MIDI device. When you are ready to record a performance, the easiest approach is to start a new song using one of the Rhythm templates. Any of these templates will enable you to record a new performance while playing back a rhythm that will act as your metronome. Recording can be quickly started from the F4 function key or clicking on the [image] record button in the Toolbars.


Creating a New Song

You can start a new song of your own by selecting the New command on the File menu. Once executed, you will be presented with a tabbed dialog that shows various templates that are available. The templates are used as the basis for a new song. If you want to start from scratch, you can select the <Blank Score> template from the General tab. In all cases, you will then be prompted for important information about your new song: the title, author, and copyright information which you wish to assign to your new score. If you are uncertain about what you wish to say in this box, do not worry as you can always get back to it later using the Info command on the File menu.

After you OK the authoring information, an initial score is presented which includes the initial parts based on the template. In order to add additional parts or change existing parts, you should use commands on the Staff menu. Use the Staff Properties command to change the attributes of each individual staff. This is where you can assign a name to the staff, as well as control its size attributes and play back characteristics. You can quickly open the staff properties by pressing F2.

Click here to proceed to an introduction of the notation editor.


Introduction to the Score (Notation) Editor

Once a score is created, it can be edited by selecting a staff for display in the Score Editor. The staff group feature can be used to quickly select a collection of parts into the editor window. This is done via the Contents tab in Page Setup. The editor shows all of the staves that are included in the display group, and displays the active staff in a different color (the default is blue). This blue staff is the one where editing is active when adding, selecting, changing, or removing notation items. Note that all staff parts will play back simultaneously, regardless of their group.

The editor displays all notation in a staff from left to right as one continuous stream of notes, rests, bar lines, and other notation data. In other words, all notation is edited along a single horizontal access. The scroll bars can be used to move around in the current view of the score. As you move rightward, you are advancing further into the song. Each staff is displayed vertically, representing a different instrument or part within the view. The editor view displays the score differently than how it generally appears when printed. The print logic actually formats your composition into a printable form using information that you specify in the Page Setup area.

Once you are happy with how a song looks and sounds, or you just simply want to review the musical material in the song, you can print the score. The printing logic decides how to best format your composition based on all of the options that you specify for the printed page. For example, all of the following page setup options influence how one or more staves are printed onto a page: the selected notation size, the printing device, the page size, the presence of staff names on the front of a system, and the number of staves selected and their size. This provides a great deal of power and flexibility in printing your composition, without you being burdened with all of the formatting decisions while the song is being composed.

The active staff in the editor includes a flashing cursor, which is known as the insertion point. The insertion point can be moved around the staff using the arrow keys on the computer keyboard, or by clicking the left mouse button at the desired position. This insertion point indicates where the next item added to the staff will be placed. In most cases, both the vertical and horizontal position of the insertion point is important in determining the position of the next item. In some cases, however, the vertical position of the insertion point is not significant. Clefs, time signatures, key signatures, and bar lines are examples of items that are placed at fixed vertical positions within the staff, regardless of the position of the insertion point.

Notation can be added at the insertion point using either the keyboard, the mouse, or both. For computer keyboard advocates, the Keyboard Guide provides a good reference of all functions which can be accomplished without the aid of a mouse. These include fast methods for adding notes (the Enter key), rests (the Space Bar), and bar lines (the Tab key).

If you are using the mouse for notation entry, then you will probably be using the speed menus assigned to the right mouse button, in conjunction with the tool buttons and menus available at the top of the application. You can get more information on these topics through the following:

  • Toolbar Reference
  • Notation Editor Context Commands (No Selection)
  • Notation Editor Context Commands (Selection)

Once notation has been placed in a staff, the mouse can also be used to select items and manipulate them. Selection can be accomplished with the mouse by clicking in a staff, and then dragging the mouse while holding the left button down. If you drag the mouse close to the left or right borders of the window, the editor will automatically scroll the score in the appropriate direction. Once you have selected the target notation items, the right mouse button can be used to activate the speed menu.


Introduction to Property Dialog Boxes

This program makes extensive use of property dialog boxes for setting the various options by the user. A property dialog box includes one or more tabs across the top. Each tab represents a collection of options used to control a particular area or object in the program.

The various property tabs can be quickly navigated using the mouse or the computer keyboard. When using the mouse, simply click on the tab that contains the properties that you want to view or change. While using the keyboard, various keystrokes can be used to quickly navigate through the tabs. See the Keyboard Guide for more details.


NoteWorthy Composer 2 Support Services

If you have any questions regarding the use of NoteWorthy Composer 2 that have not been answered in this help file or at our world-wide web site, feel free to contact us:

World-wide Web: http://NoteworthySoftware.com
e-mail: support@noteworthysoftware.com

Alternately, if you do not have access to on-line e-mail, you may write to us at the following postal address:

NoteWorthy Software, Inc.
PO Box 995
Fuquay-Varina, NC 27526-0995
USA

For best service, be sure to indicate that you are a registered user on any correspondence with NoteWorthy Software. Response time for e-mail queries will typically take less than 48 hours.

See Also

  • Common Questions
  • Getting Started


Keyboard Guide

The following are the quick key lists for use in NoteWorthy Composer 2. When the words Up, Down, Left, or Right are used in the key chart, they refer to the four arrow keys on the keyboard.

Common Editor Shortcuts

The following quick keys are generally available when editing a score:

Alt+F8 | Used to invoke or configure User Tools
Ctrl+Alt+F8 | Repeats the last User Tool that was executed
Enter | Adds a note at the insertion point
Enter | Adds a note at the insertion point
Space | Adds a rest at the insertion point
Ctrl+Enter | Adds a chord member at the insertion point
Alt+Enter | Opens a property dialog for the currently selected item(s)
Tab | Adds a standard bar line at the insertion point
* | Adds a standard bar line at the insertion point
1 | Selects a whole note for the running note duration
2 | Selects a half note for the running note duration
3 | Selects a quarter note for the running note duration
4 | Selects a eighth note for the running note duration
5 | Selects a sixteenth note for the running note duration
6 | Selects a thirty-second note for the running note duration
7 | Toggles the natural sign for note entry
8 | Toggles the flat sign for note entry
9 | Toggles the sharp sign for note entry
! | Toggles the accent note attribute
; | Toggles the outbound slur note attribute
Comma , | Toggles the staccato note attribute
Underscore _ | Toggles the tenuto note attribute
Forward slash / | Toggles the note tie outward status for note entry
Backslash \ | Cycles through the possible note highlight colors
Period . | Cycles the dotted note status for note entry. Will also cycle the double dot if it appears next to the dot in a tool bar.
Shift+Up | Toggles the upward note stem attribute
Shift+Down | Toggles the downward note stem attribute
< | Toggles the graphic/hairpin Crescendo note attribute
> | Toggles the graphic/hairpin Diminuendo note attribute
B,b | Adds a styled standard bar line at the insertion point
C,c | Adds a bass or treble clef
D,d | Adds dynamics such as ppp or mf
E,e | Adds tempo variances, such as fermata and accel.
F,f | Adds flow direction symbols such as To Coda
G,g | Adds a time signature designation
I,i | Adds a change of instrument
K,k | Adds a key signature
L,l | Adds a generic MIDI controller
M,m | Opens a mute list for the current score
P,p | Adds a performance style, such as Legato
Q,q | Cycles through available noteheads during note input
R,r | Review the score in a list format
S,s | Adds special endings
T,t | Adds tempo designations
U,u | Adds sustain pedal symbols
X,x | Adds a text expression of your choice
Y,y | Adds dynamic variance, such as crescendo
Alt+Backspace | Performs an Undo operation
Ctrl+F | Find items on the staff
F3 | Find the next item on the staff
Ctrl+V | Pastes the contents of the clipboard
Shift+Ctrl+V | Starts a new file with the contents of the clipboard
Ctrl+A | Create a new staff
Ctrl+D | Remove the current staff
Ctrl+G | Moves the insertion point to a measure that you specify
Ctrl+N | Create a new score
Ctrl+O | Opens an existing score file
Ctrl+S | Saves the currently active score
Ctrl+Y | Performs a Redo of a previous Undo operation
Ctrl+Z | Performs an Undo operation
F9 | Redraws (refresh) the active score
Ctrl+F9 | Redraws (refresh) the active staff
0 | Clears the note accidental, tie, and dot status parameters
+ | Shifts the running note duration to next larger duration
- | Shifts the running note duration to next smaller duration
Home | Moves the insertion point to the beginning of the active staff
Ctrl+Home | Changes the active staff to the first staff in the system
End | Moves the insertion point to the end of the active staff
Ctrl+End | Changes the active staff to the last staff in the system
Ctrl+Right Arrow | Moves the insertion point forward to the next measure
Ctrl+Left Arrow | Moves the insertion point backward to the nearest bar line
Shift+L/R Arrow | Selects notation as the insertion point moves
Page Up | Shifts the active staff upward
Page Down | Shifts the active staff downward
Alt+Plus | Zoom in
Alt+Minus | Zoom out
Alt+Equal | Zoom
F1 | Shows this help file
F4 | Records MIDI input while the current score is played
Shift+F5 | Plays just the active staff (featured play of the current staff)
F5 | Plays the active score
F6 | Stops play/shuts off stuck notes
Ctrl+F4 | Closes the active window
Ctrl+F6 | Switches to the previous score window
F11 | Toggles Viewer Mode in the editor

Common Shortcuts While Editing Existing Selected Notation

The following keys are available when notation has been selected:

Menu key | Brings up a context menu
Alt+Enter Ctrl+E | Opens a property dialog for the currently selected item(s)
Ctrl+X | Cuts the selection and places it in the clipboard
Ctrl C | Copies the selection into the clipboard
Ctrl+Del | Clears the selection
Ctrl+B | Beams the selected notes
Ctrl+T | Converts the selected notes into triplets
Backspace | Removes the currently selected notes
Shift+Ctrl+Down | Shifts the selection downward on the staff
Shift+Ctrl+Up | Shifts the selection upward on the staff

Common Shortcuts While Editing Existing Notation without Selection

These commands do specific things when notation is not currently selected:

Menu key | Brings up a context menu
Ctrl+L | Opens the lyric editor dialog for the active staff
Delete | Deletes the notation item to the right of the insertion point
Backspace | Deletes the notation item to the left of the insertion point
Ctrl+Backspace | Deletes the chord member just behind the insertion point
Ctrl+Up | Moves the insertion point up by an octave
Ctrl+Down | Moves the insertion point down by an octave
Shift+Ctrl+Down | Shifts the running note duration to next smaller duration
Shift+Ctrl+Up | Shifts the running note duration to next larger duration
F2 | Open the Staff Properties dialog

Property Sheet Shortcuts

These keys are available when you are inside a property dialog box (where tabs are present):

Ctrl+Page Down | Advances to the next tab
Ctrl+Page Up | Advances to the previous tab
Alt+Home | Jumps to the first tab
Ctrl+Tab | Advances to the next tab
Ctrl+Shift+Tab | Advances to the previous tab


Tool Bar Reference Guide

The following tool buttons can appear on the tool bars. The tool bars can be customized via the View, Toolbars command.

Create a new song file
Opens an existing song file
Saves the active score
Saves all open files that have changed
Setup the current printer
Go to Page Setup
Preview what the printed page will look like
Prints the active score
Opens the Info dialog for the active score
Redraws (refresh) the active score
Add a new staff to the current view of the score
Remove the current staff from the score
Toggles the mute status for the current staff
Cuts the selection and places it in the clipboard
Copies the selection into the clipboard
Pastes the contents of the clipboard
Undo the previous operation
Redo the previous Undo operation
Opens the lyric configuration editor
Starts a MIDI recording while playing back the active score
Plays the active score
Stops playing of the score
Viewer Mode (a flat print-like view with editing support)
Layering in Edit Mode
Zoom in on the active score
Zoom out on the active score
Specify the zoom level in pixels
Cascades all open windows
Tiles all open windows
Enables the persistence of various buttons in the note palette
Selects the default color for new noteheads and items
Selects one of the predefined highlight colors for new noteheads and items
Toggles the natural sign for note entry
Toggles the flat sign for note entry
Toggles the sharp sign for note entry
Toggles the double sharp sign for note entry
Toggles the double flat sign for note entry
Selects a whole note duration for use during note entry
Selects a half note duration for use during note entry
Selects a quarter note duration for use during note entry
Selects a eighth note duration for use during note entry
Selects a sixteenth note duration for use during note entry
Selects a 32nd note duration for use during note entry
Selects a 64th note duration for use during note entry
Selects the standard notehead for use during note entry
Selects the X notehead for use during note entry
Selects the diamond notehead for use during note entry
Selects a blank space notehead for use during note entry
Toggles the dotted note status for note entry
Toggles the double dot note status for note entry
Turns the selected notes into grace notes
Slurs the selected notes
Toggles the note tie outward status for note entry
Makes the selected notes staccato
Makes the selected notes tenuto
Accents the selected notes
Beams the selected notes
Converts the selected notes into triplets
Places upward stems on new or selected notes
Places downward stems on new or selected notes
Add a rest onto the staff using the currently selected duration
Quick entry of a treble clef directly onto the staff
Quick entry of a bass clef directly onto the staff
Quick entry of an alto clef directly onto the staff
Quick entry of a percussion clef directly onto the staff
Insert a key signature
Insert a tempo designation
Insert a special ending
Quick entry of a 3/4 time signature
Quick entry of a 4/4 time signature
Quick entry of a 6/8 time signature
Quick entry of an Alla Breve time signature
Quick entry of a Common time signature
Quick entry of 'fff' dynamic
Quick entry of 'ff' dynamic
Quick entry of 'f' dynamic
Quick entry of 'mf' dynamic
Adds a Crescendo hairpin graphic to selected notes between dynamic marks
Adds a Diminuendo hairpin graphic to notes between dynamic marks
Quick entry of 'mp' dynamic
Quick entry of 'p' dynamic
Quick entry of 'pp' dynamic
Quick entry of 'ppp' dynamic
Quick entry of a fermata
Quick entry of a breath mark
Quick entry of pedal down mark
Quick entry of pedal up mark
Enables remote note entry via MIDI
Opens the Windows Volume Control
Adds a horizontal piano control


Commands

This index lists the command menus available on the menu bar. Choose a menu to view a list of the specific commands on each menu.

  • File: Open, save, and print commands
  • Edit: Clipboard and selection commands
  • View: Commands to control application and editor appearance
  • Staff: Score construction and editing commands
  • Insert: Commands for the placement of various notation symbols
  • Notes: Running attributes used in note and rest entry
  • Tools: Tools for working with the active staff and score
  • Window: Tile, cascade, and other score window management commands
  • Help: Help and version information commands

In addition, there are several speed menus that are available on a context sensitive basis from within the notation editor. These are accessed by the right mouse button or the Menu key on the keyboard:

  • Notation Editor Context Commands (No Selection)
  • Notation Editor Context Commands (Selection)


File Menu Commands

The File menu contains the necessary commands to open, save, and print NoteWorthy Composer files. All NoteWorthy Composer notation files use a file type extension of nwc. The naming convention is handled automatically by the NoteWorthy Composer 2 file control commands. Help on the File manipulation commands is provided below:

  • New: Creates a new score file from scratch or using a predefined template
  • Open: Opens an existing score file or MIDI performance
  • Open Backup: Open a backup version of a *.nwc file
  • Open Sample: Quick way to open a sample score file provided with the program
  • Save: Saves the score in the active edit window
  • Save As: Saves the score in the active window to a new file name and/or file type
  • Save All: Saves all open score files which have been changed
  • Revert: Reverts the currently active score back to the version saved on disk.
  • Close: Closes the currently active score
  • Import: Import a music file
  • Export: Export a music file
  • Info: Specifies authoring information about the active score
  • Page Setup: Sets page display options when printing
  • Printer Setup: Changes the current printer configuration
  • Print: Prints the active score
  • History: Scores which have been recently open
  • Exit: Quits the program


New Command

This command is used to create a new NoteWorthy Composer composition. A new file is started by selecting a song template and then pressing OK. The template named <Blank Score> in the General tab is a special template that starts a new file from scratch.

You can create your own templates by dragging and dropping an existing NWC song file onto the current list of templates. A copy of the file will be made and placed into the same folder as the other templates in the list. The list of templates is generated from the song files contained in the Template folder inside the NWC application folder. Any first level sub-directories in the Template folder are placed into their own tabs in the template list.

Once a new file has been started, you can edit the new song as any other song being edited in the notation editor. The first time you chose to save the new file, the Save As dialog (see Save As Command) will automatically appear so that you can specify the filename for this new song.

More about templates

The templates feature uses standard *.nwc song files as the basis for song templates. A template can be any standard nwc file. The difference between using a template and opening an existing file is that a new file is created without an association to a pre-existing file. When a new file is created based on a template, the template name is only used during the construction of the new file. Later attempts to save the file will need to be named with a new filename.

Customizing

All templates are files contained in the Template sub-folder of the NWC application directory. The Template folder can contain one additional level of sub-folders that will be recognized by the template feature. Each sub-folder underneath the Template folder represents a new tab in the File New dialog. You can create your own tabs in the File New dialog by adding folders inside the Template folder.

New templates can be added to the system in three different ways:

  1. A song file can be saved into one of the Template folders in the NWC application directory. This is as easy as a Save As command on the File menu.
  2. A file can be copied into the Template folder using the explorer or file manager programs.
  3. A file can be dragged from the explorer and dropped inside a template list in the File New dialog. This will automatically make a copy of the file and place the copy in the appropriate Template folder.

See Also

  • File Menu Commands
  • Open Command
  • Save As Command
  • Info Command


Open Command

This command opens an existing song file in a new window. This existing file is specified through the standard Windows file dialog.

You can open the following file types:

NWC Files
Files created by NoteWorthy Composer itself, which always has a file extension of NWC.

Song Files
This lists all files that NoteWorthy Composer 2 is capable of opening, including *.MID files that conform to the Standard MIDI File specification (i.e. SMF format) and *.NTW files (used by older versions of NoteWorthy Composer).

SMF files are commonly used to exchange music performance data between music sequencer, notation, and algorithmic composition software. Any files with an extension of MID are assumed to be MIDI files when they are opened. When opened, the MIDI file is actually imported, which is a process of converting the performance data contained in the file into standard music notation.

See Also

  • File Menu Commands
  • Creating a New Composition
  • Importing other music file formats
  • Reopening a Composition


Open Backup Command

This command can be used to open a previous version of a file that has been maintained as a backup file. The program will maintain up to 100 backup copies of a file while you work on it. Each time you save a file, the prior version is moved into a backup role. The exact number of backups that are maintained for any given file is controlled by the "Queue size for extra backups" option in the Options, File area. The most recent backup of a file will be of the form:

<FileName>.nwc.bak

Older backups, when present, will be of the form:

<FileName>.q#.nwc.bak

The older backups will not necessarily appear in chronological order. If you want to see the list of backups in chronological order, then you should use the Details view of the Open dialog/Windows Explorer and sort by date.

See Also

  • File Menu Commands
  • Options Command


Open Samples Command

This command can be used to open one of the sample files that are provided with the program.

See Also

  • File Menu Commands
  • Reopening a Composition


Save Command

This command saves the composition in the active window to its associated file name. If the composition has not yet been given a name, the Save As command will automatically be invoked.

Just prior to saving the file, NoteWorthy Composer 2 optionally checks to see if a file exists with the same name as the one about to be saved. If so, it is optionally renamed to a *.BAK file whenever backup files are enabled. You can always restore the previous version of a file after saving it by copying the *.BAK file to an *.NWC file. This only works for the most recent version of the file that existed prior to the last save operation.

See Also

  • File Menu Commands
  • Save As Command
  • Save All Command
  • Export Command


Save As Command

This command enables saving the currently active composition to a new file.

See Also

  • File Menu Commands
  • Save Command
  • Save All Command
  • Export Command


Save All Command

When requested, NoteWorthy Composer 2 will scan all the open songs and initiate a save operation for any which have been changed.

See Also

  • File Menu Commands
  • Save Command
  • Close All Command


Revert File Command

This command reverts the active score file back to the saved version available on disk. This is a more convenient way of simply re-opening the file that is stored on disk while, at the same time, discarding the current changes made to the active score since the last save operation. Any user messages shown during a standard open of the file are also displayed when reverting back to the saved version with this command.

After the Revert command has been executed, the changes that were made to the score prior to the most recent save will be lost. For this reason, use this command with care.

See Also

  • File Menu Commands
  • Open Command
  • Save Command


Close File Command

This command requests closure of the currently active composition. If this composition is currently being played, play is stopped. The window is then closed if it has not been changed since the most recent save or open operation. If the file has been changed, you will be given the opportunity to save the file prior to its closure.

See Also

  • File Menu Commands
  • Close All Command


Import Command

This command imports an existing music file that is not in NWC song format.

You can import the following file types:

  • MID Files
    These files are assumed to be Standard MIDI Files. These are commonly used to exchange music performance data between music sequencer, notation, and algorithmic composition software. When imported, the performance data is converted into standard NWC music notation.

See Also

  • File Menu Commands
  • Creating a New Composition
  • Reopening a Composition


Export Command

This command is used to export a work into an alternative file format, such as a Standard MIDI File (*.mid), NoteWorthy Composer text file, or the older NoteWorthy Composer version 1.75 file format. You can select:

  • Type 0 MIDI File: contain a single one track that contains all of the song data
  • Type 1 MIDI File: Each staff reqpresents a MIDI track in the file, as well as a conductor track for performance tempo and other signature data
  • NoteWorthy Composer 1.75 File: A representation of the score that is suitable for opening in NoteWorthy Composer 1.75 or later
  • NWC Text File: A textual representation of the score that is suitable for reading in a text editor, and processing by text filter/conversion programs

See Also

  • File Menu Commands
  • Save Command
  • Save All Command


Info Command

This command provides the dialog used to define key parameters to your composition, such as its title and copyright information. This information is used when any parts of the score are printed. The song title is also used in the File History list (see History Commands).

Song Title and Author Dialog Options

Song Title:
This is where you specify the title of this composition.

Author:
If this is a song of your own creation, specify your name as the author.

Lyricist:
If the song contains lyrics, then this is the place to credit them for the words.

Copyright Notice:
You are entitled to copyright protection for any song works that you compose. You can specify two lines of copyright information within NoteWorthy Composer that will be displayed on the first page of the printed composition. A suggested phrasing is provided automatically.

Comments:
Any comments that you wish to make about the composition can be made here. This can be used as a running record of your compositional or performance process associated with the song. This information is not included on any printouts of the song parts.

See Also

  • File Menu Commands
  • Print Command
  • Print Preview Command
  • History Commands


Page Setup Command

This command allows you to set properties associated with a printed page of your song. The page options are distributed across several tabs:

Contents: One or more staff parts can be selected for editing and/or printing using this tab:

  • Groups

    Use this list box to select the parts that you want to appear in the editor. You can select or deselect entire staff groups using the group list on the left side of the staff list.

  • Visible Parts

    Use this list box to select the parts that you want to appear in the editor. You can select or deselect entire staff groups using the group list on the left side of the staff list.

  • Allow Layering

    This enables layering of parts within the file. If this is turned off, then no layering will be done for this file, and the other layering options will be unavailable.

Fonts: This is where you can customize the fonts used in the staff. The page includes the following controls:

  • Notation Typeface

    This box identifies the typeface that will be used for most of the standard notation on the staff, including noteheads, clefs, accidentals, dynamics, and note stem flags. Any NWC2 symbol fonts currently installed on the system are included in the drop down list, but any typeface name can be entered in this box. You will only get high quality results when selecting fonts explicitly designed for the program.

  • Print Size

    This box identifies the size of the printed staff, in points. The size defines the number of points inside the basic staff minus all leger lines. Depending on your printer's resolution, not all point changes will show actual change on the printed page. Use the Print Preview feature to check the results before printing.

  • Font List

    This is the list of font types that are used by the program. You can customize the typeface and styles for each font type, and the information will be saved inside each song file. The font types are used in the following manner:

    Staff Italic: Used in the staff for text expressions and other italic text

    Staff Bold: Used for bold text that appears in a staff, such as tempo numbers, special ending numbers, and text expressions

    Staff Lyric: Used for lyric text in a staff

    Page Title Text: Used for the title page when printing a score

    Page Text: Used for the author text when printing a score

    Page Small Text: Used for copyright and page number text in a printout

    User '#': Available for use in the Text Expression item

  • Modify Button

    Use this button to change the type face or styles of a particular font group.

Options: This is where the general setup options are available. They include the following (click on the field name to get additional information):

  • Page Numbering

    If you want your printed pages to be numbered, then check this box.

    From

    If you have elected to have your pages numbered, then this indicates what number should be used for the first page. All subsequent pages will be incremented from this starting value.

  • Title Page Info

    If you want title, author, and copyright information to be included in the first page of a printout, then check this box. If this box is not checked, all printed pages will use the same format.

  • Extend last system

    In some cases, the final system in a printout may not extend to the right margin of the page. If you want each staff to be extended out to the right margin in the final system, then check this box. If this is not checked, your last system may not be right aligned with the other systems in a printout.

  • Increase note spacing for larger note durations

    This option controls whether notes are padded with space on their right as the duration increases. For example, when this option is checked, whole notes will be padded on their right, keeping other notes from getting too close on the staff. Turn this option off to get as many notes as possible to fit into the space used by the staff.

  • Staff Labels

    If you want the name of each staff to appear in a printout, this can be controlled from this box. You can select one of the following values:

    None: The staff names will not appear in the printout.

    First System: The staff names will appear only once, on the top of the first page.

    Top Systems: The staff names will appear on the top of each page in the printout.

    All Systems: The staff names will appear to the left of every staff on every page.

  • Measure Numbers

    This box can be used to enable measure numbers for the score. In the editor, measure numbers will appear on top of nearly every bar line (except local repeat close items). When printing, the measure number appears at the front of each system in the printout.

  • Measure Start

    When measure numbers are included, this value indicates the starting number for the beginning of the score. This can be used when a multiple movement piece is created in multiple files. When printing, measure numbers are displayed at the start of each system on the page. In the editor, numbers are displayed for all bar lines in the staff that constitute a new measure. In the editor, only the top-most staff in the system will display the measure number.

Margins: This is where the page margins are set. The margin settings include the following (click on the field name to get additional information):

  • Top of Page

    This is the margin associated with the top of the page.

  • Inside Edge

    This is the margin associated with the inside edge of the printed page. If Mirror Margins is not checked, the inside edge is always the left side of the page.

  • Outside Edge

    This is the margin associated with the outside edge of the printed page. If Mirror Margins is not checked, the outside edge is always the right side of the page.

  • Bottom of Page

    This is the margin associated with the bottom of the page.

  • Mirror Margins

    When mirror margins is enabled, the inside edge and outside edge is reversed from page to page. On odd numbered pages, the inside edge is on the left. On even numbered pages, the inside edge is on the right.

  • Measure Units

    You can enter the margin values in inches or centimeters. This box controls how the values are interpreted.

Preview: This is where you can preview the effects of changes made in the other page setup areas. This area includes a summary list of what the current view of the score will look like on the printed page. You can also go directly to print preview from this page. The page includes the following:

  • Information List

    This is a summary list of facts regarding the score printout. This includes things like how many pages are expected to be included in the printout, as well as facts about the currently selected printer (which may be needed by support staff if you experience any print problems). The Label column is used to describe each piece of information included in the Information column.

  • Preview Button

    Press this button to preview the score based on the current page setup options. If you do not like the results, you can change or cancel the page setup options from the other tabs.

See Also

  • File Menu Commands
  • Print Command
  • Print Preview Command
  • Printer Setup Command


Printer Setup Command

This command allows you to change your printer device and its configuration. The exact details of the possible options are device and system dependent.

See Also

  • File Menu Commands
  • Print Command
  • Print Preview Command
  • Page Setup Command


Print Preview

This gives you a preview of the printed version of your score. It is not an exact replica of what will be printed, but it is pretty close.

See Also

  • File Menu Commands
  • Printer Setup Command
  • Page Setup Command
  • Print Command


Print Command

This command enables printing the current view of the score selected in the editor. You may wat to use the Page Setup and Print Preview commands to review the appearance of the final printout before sending it to the printer.

See Also

  • File Menu Commands
  • Print Preview Command
  • Printer Setup Command
  • Page Setup Command


History Commands

The File History commands make it easier to open recent compositions within NoteWorthy Composer 2. Your most recent compositions are stored in the file history. Only the songs saved as *.NWC files end up in the history.

See Also

  • File Menu Commands


Exit Command

The File Exit Command closes all compositions and terminates the application. If play is currently in progress, it will be stopped prior to closure.

See Also

  • File Menu Commands


Edit Menu Commands

Most commands available from the edit menu are designed to operate on the active staff of the active window. Many of the commands are only enabled after notation items have been selected in the active staff. Items can be selected by holding down the shift key while moving the insertion point with the mouse or arrow keys. Clicking the left mouse button and dragging the mouse also can be used to select notation items.

The commands available from the edit menu include:

  • Undo: Reverses the effect of the last action or command
  • Redo: Reverses a previous Undo operation
  • Cut: Cuts the selection to the clipboard
  • Copy: Copies the selection to the clipboard
  • Copy Special: Copies the portion of the selection that fits on screen to the clipboard as a graphic
  • Paste: Pastes the contents of the clipboard at insertion point
  • Paste as New File: Pastes the contents of the clipboard into a new file
  • Clear: Clears the selection (no effect on clipboard)
  • Select All: Selects everything in the active staff
  • Remove Chord Note: Remove the member of a chord immediately on the left of the insertion point
  • Beam: Beams the note flags of the selected notes
  • Triplet: Turns the selected notes into a triplet
  • Find: Finds the next matching notation element using criteria that you specify
  • Find Next: Finds the next matching notation element using criteria specified in a prior Find operation
  • Goto: Moves insertion point to the measure you specify
  • Lyrics: Opens the lyric editor dialog for this staff
  • Properties: Open the propeties editor for the current selection


Undo Command

The Undo command reverses the effect of the most recent staff editor command or action. You can undo more than one action by repeatedly selecting this command.

The number of commands that can be undone can be configured. See Options for more details.

See Also

  • Edit Menu Commands


Redo Command

The Redo command can be used to re-apply a command that was reversed using the Undo command. This command is only available immediately after an Undo operation has been performed. If a subsequent change is made to the active staff after an Undo command is performed, the Redo command will no longer be available.

See Also

  • Edit Menu Commands


Cut Command

The cut command removes the selected items from the active staff and places them into the NoteWorthy Composer 2 clipboard. The items are then available to the paste command.

See Also

  • Edit Menu Commands


Copy Command

This command makes a copy of the selected notes and places them in the clipboard for future paste operations. If you want a graphical version of the selected notes, use the Copy Special command.

See Also

  • Edit Menu Commands


Copy Special Command

This command makes a graphical copy of the portion of the current selection that fits on the screen, and places it in the clipboard for future paste operations into some other program. You can elect to copy just the selection of the active staff, or the selected portion of all the staves in the current view of the score. If only one staff is shown in the current view of the score, no choice is provided, and the copy of the active staff is completed immediately.

See Also

  • Edit Menu Commands


Paste Command

Takes the note data from the clipboard (that was put there by a prior use of the Copy or Cut commands) and inserts it into the active staff at the insertion point.

See Also

  • Edit Menu Commands


Paste as New File Command

Starts a new file using the notation data in the clipboard.

See Also

  • Edit Menu Commands


Clear Command

This command removes the selected notation items from the active staff. The items are destroyed after removal. They are not copied to the NoteWorthy Composer 2 clipboard. All notes to the right of the selected are moved backwards in time to meet with the items on the left side of the selected area.

See Also

  • Edit Menu Commands


Select All Command

This command selects all of the notation in the currently active staff.

See Also

  • Edit Menu Commands


Remove Chord Note Command

This command is used to selectively remove members of a chord. The insertion point must be at the same vertical position as the chord member that you want to remove. The insertion point must also be to the right of the chord.

Note that this command only works on chord members. It does not work on individual notes that are not members of a chord.

See Also

  • Edit Menu Commands


Beam Notes Command

This command allows a group of selected notes to be beamed across their stems. The notes must be placed onto the staff first, then selected, before using this command. Only adjacent notes and chords with at least one stem flag can be grouped in this fashion. A beam cannot cross over a bar line. Notes must be selected before a beam can be applied. Notation items can be selected by clicking the left mouse button and dragging the insertion point across the items. Notes can also be selected by holding the Shift key while moving the insertion point to the right or left.

When a series of one or more notes is selected, the Note Beam tool and menu option will automatically be enabled and checked to indicate the status of the command. The command is only enabled when it is possible to either beam selected notes, or remove a beam on existing selected notes. The addition or removal of a note beam is dependent on whether the menu item is checked or not. When the menu item is checked (and the tool is highlighted), this indicates that the currently selected notes include a note beam. By invoking the command at this point, the note beam will be removed. If the command is not checked, but is enabled, then when invoked, a new note beam will be added to the selected notes.

When performing the operation, any pre-assigned note stem directions are ignored, and the best stem direction for the combination of items is chosen. The stem direction for the grouping can be changed afterwards by selecting the whole group and using the stem direction buttons. Note that after removal, the stem direction for the notes will still be set, and may require you to manually reset them if you do not like the way they are displayed.

See Also

  • Edit Menu Commands


Triplet Command

This command converts a group of selected notes, chords, and rests into a triplet grouping. Any existing beam or triplet grouping on these notes is removed before the new triplet grouping is assigned. The grouping must be a valid triplet pair for the operation to succeed. When performing the operation, any pre-assigned note stem directions are ignored, and the best stem direction for the combination of items is chosen. The stem direction for the grouping can be changed afterwards by selecting the whole group and using the stem direction buttons.

An existing triplet grouping can be removed simply by selecting one member of the triplet group and activating this command. The existing triplet grouping will be removed in this situation. Note that after removal, the stem direction for the notes will still be set, and may require you to manually reset them if you do not like the way they are displayed.

See Also

  • Edit Menu Commands


Find Command

This command is used to create a new find criteria, which can be used to locate elements that exist in the staff. The quickest way to initiate a find sequence is by using Ctrl+F. There are two types of find operations:

  1. By Expression

    This find method can be used to find almost anything on a staff, one item at a time. For simple text find operations, simply type in the text you want to find and the text in the active staff will be compared with the text you entered. You can place an asterisk (*) in your string and it will act as a wildcard character, matching anything in that position of the text.

    Each item on the staff also has a text representation. You can see a staff item's text representation by selecting any single item on a staff, then using the Edit, Copy command. Now, either start a new find (Ctrl+F) and paste the object’s text into the expression box, or open a notepad window and paste into it. By replacing parts of the text with an asterisk (*), you can create a wild card match criteria that will be used for the search. By starting your expression with a vertical bar (|) followed by the text label that represents the object, the search will use the clip text representation of each object for matching against your expression.

    Examples:

    • |Dur:*8th
      This search will find anything on the staff that has an 8th note as its duration.
    • |Note|Dur:*8th
      This search will find any note on the staff that has an 8th note as its duration. It will not find chords or rests with this duration.
    • |Tempo|*Tempo:120|
      This search will find the next tempo on the staff set to 120.
    • |Text|*Slowly
      This search will find the next text expresion on the staff that includes the text Slowly.
    • |Bar*|SysBreak:Y|
      This search will find a bar line in the active staff that specifies a system break.
    • |Clef|*
      This search will find the next clef on the staff.

  2. By Category

    This find method has a set of predefined find algorithms which can be used to search for objects in the staff. The Unassigned Octave Accidental algorithms can be useful when trying to resolve octave intervals in a staff that do not sound as expected.

    • Unassigned Octave Accidental: When an accidental is assigned to a note in one octave, notes of the same pitch in that bar that appear in different octaves should have an accidental assigned to them as well, in order to avoid confusion. This find category helps to quickly locate notes in different octaves that do not have an accidental assignment, but probably should have one.

Once the find criteria is found and executed the first time, the Find Next command can be used to quickly locate each successive matching element in the current staff.

See Also

  • Edit Menu Commands
  • Find Next Command


Find Next Command

This command is used to locate the next item in the staff that matches criteria established by a previous Find operation. This can be used to locate a series of matching elements in the staff very quickly, without having to scroll around browsing for the elements. The quickest way to initiate successive searches using the same criteria is to first use Ctrl+F to establish the Find criteria, then use F3 to repeat the find using the same criteria.

See Also

  • Edit Menu Commands
  • Find Command


Goto Command

This command is used to move the insertion point to a specified measure. The measure must be greater than the starting bar number associated with the score.

This command is also useful on occasions where you want to find out the current measure number at the insertion point. By selecting this command, you can find out the current bar number because it is the initial value presented in the bar number field. You can simply cancel the operation if you are only wanting to determine the current measure number.

You can create or extend a selection by enabling the

Selection checkbox

You can use this check box to create or extend a selection while moving to a new bar.
.

See Also

  • Edit Menu Commands


Lyrics Command

Lyrics are added to a staff using this command. Each staff can be configured for up to 8 lyric lines, each of which will be automatically aligned to the notes in the staff. You can quickly access the lyric editor dialog, where lyrics are added, by pressing Ctrl+L while in the editor. The lyrics are added within the lyric editor dialog using 9 tabbed property sections.

Configuring Lyrics:

The first property section, the Configuration tab, is used to define the lyric

Line Count

You can include up to 8 lyric lines per staff using this box. A lyric is not available until it is enabled from this box.
that should be associated with the active staff. A separate tab is then available for each of the lyric lines that have been defined for the staff. You can control how lyric syllables are aligned with notes on the staff using the

Align Syllable Using

This field controls how the lyric text will be aligned and justified underneath its corresponding note(s). Lyric alignment can be forced to use:

Start of Accidental/Note: This aligns the lyric syllables on the far left side of each corresponding note, starting at the same location as any accidentals that would appear on the note.

Standard Rules: This aligns the lyric using standard conventions for lyrics in notation. Normally, the lyric will be centered under the notes. If a multi-note phrase encompasses the syllable, then the lyric will be left aligned with the start of the notehead.

option. You can control where the lyrics are placed vertically in the staff using the

Alignment

The lyric lines can be positioned either above or below the staff using this field.
and

Offset

This field is used to add space near the staff boundary. The lyric lines will be placed above or below this space, thus making room for things like special endings at the top of a staff.
placement options.

Authoring Lyrics:

The remaining property sections, Lyric 1 through 8, are used to enter the actual lyrics. The font used to display and edit the lyrics is the same as that used when printing, but is always displayed at a size of 12 points.

The lyrics that you add here are not assigned to the staff until you press the OK button. This is true for all of the lyric tabs. None of them are assigned to the staff until you exit the dialog by pressing the OK button. Note that the OK button can be reached by pressing the Tab key until the button receives the input focus. The Enter key is used for carriage returns within each lyric edit control, so it cannot be used to close the dialog box while entering lyric text.

When entering lyrics, you should separate each audible syllable with one of the following separators:

  • a hyphen
    The hyphen is used to separate syllables within a word. Each syllable will be associated with a new note on the staff. The hyphen will automatically be centered between the syllables on the staff.

  • a space
    A space is used to separate words within a phrase.

  • a carriage return
    A carriage return is used to start a new phrase, but generally the next lyric line is related to the previous line, as if they are part of a single verse or section.

  • two carriage returns
    Two carriage returns together creates a new paragraph, section, or verse within the current lyric. Additional carriage returns (greater than 2 in a row) will be ignored by NoteWorthy Composer 2. They will not exist when the lyric is opened again for edit.

Use of these separator conventions may become more important in later upgrades that may allow "fake book" arrangements.

If you want to include one or more spaces into a single syllable (or utterance), you can use the underscore character ("_") to accomplish this, as long as you have the

Underscore shown as space

Use this option to enable the translation of underscores into spaces within the lyric.
option enabled. Any underscores in a lyric are displayed as spaces in the score when this is enabled. Using the underscore, you can have multiple words or syllables associated with a single note event on the score. You can also add space onto the front or at the end of a syllable in order to even out the notation display in the score. You can also use notation properties to force notes and rests to either attach to a lyric syllable, or specifically not attach to a lyric syllable.

Lyric Alignment on the Staff:

When displaying lyrics, each syllable is automatically aligned to the next note in the score. The following rules apply to lyric association to notes in the staff:

  1. Only notes that are not the beneficiary of a slur or tie will be associated with a lyric syllable.
  2. Split stem chords will associate a lyric syllable with the chord component with the smaller duration.
  3. A chord which contains one or more notes that are tied to previous notes will not be associated with a lyric syllable.
  4. Rests are ignored when formatting a lyric line.
  5. Chords which include both a rest and a chord will have an associated lyric syllable. In other words, a chord that is comprised of a rest and a note is considered to be an audible utterance. If you do not wish to attribute a word or syllable to a chord like this, then insert an underscore separated by spaces (or hyphens) in the lyric body at the corresponding syllable position.

Authoring Hints:

It does not matter which order you decide to use when composing a song which includes lyrics. You can author the lyrics first, and then begin to place notes in the staff, or you can add the lyric lines after the notes have been placed. Any lyric utterance which occurs beyond the current duration of the staff is retained and will be displayed as soon as new notes are added to the staff.

If the lyrics are not aligning properly to tied or slurred note groupings, then hit the F9 key to initiate a refresh of the current score (see Refresh Score). This should enable the slur groups to re-synchronize and work correctly.

While in the lyric editor, you can copy a lyric line via the clipboard using standard cut and copy keystrokes. Specifically:

  • holding the shift key down will select characters in the lyric
  • pressing Ctrl+X will cut the selected characters to the clipboard
  • pressing Ctrl+C will copy the selected characters to the clipboard
  • pressing Ctrl+V will paste text into the lyric line, if text is already in the clipboard

See Also

  • Edit Menu Commands
  • notation properties


Edit Properties Command

This command is used to edit the properties of a selected item in the editor. If one or more notation elements are selected, then the notation properties are displayed. If nothing is selected in the active staff, then the staff properties are displayed.

See Also

  • Edit Menu Commands
  • Insert Menu Commands


View Menu Commands

This menu contains various commands that control appearance and zoom levels in the editor and surrounding toolbars.

  • Show Active Staff Edges: Show the top and bottom boundary edges for the currently active staff
  • Show Crosshair Command: Show crosshair guidelines at the insertion point
  • Show Label Panel: Show or hide the entire staff label panel on the left side of the editor
  • Show Staff Labels: Show staff labels in the left side panel of the editor
  • Layering in Edit Mode: Enable/disable staff layering while in edit mode
  • Viewer Mode: Places the editor in Viewer mode, where hidden and editor only elements are not shown
  • Zoom In: Zoom into the currently active score
  • Zoom Out: Zoom out of the currently active score
  • Zoom: Specify a specific zoom level for the active score
  • Refresh Score: Redraw (refresh) the active score
  • Status Bar: Toggle the visual status of the status bar
  • Tool Bars: Select which tool bars should be currently visible


Show Active Staff Edges

This command enables a visible boundary for the active staff. When enabled, top and bottom boundary edges are displayed for the active staff.

See Also

  • View Menu Commands


Show Crosshair

This command controls the insertion point crosshair. When enabled, a pair of crossing guidelines are shown at the insertion point, allowing quick identification of the insertion point location and visual alignment with other notation items in the editor.

See Also

  • View Menu Commands


Show Label Panel

This command allows you to globally enable or disable the Staff Label Panel that is on the left side of the notation editor.

See Also

  • View Menu Commands
  • View Staff Labels (within the panel)


Show Staff Labels

This command allows you to control the inclusion of staff labels in the Staff Label Panel that is on the left side of the notation editor. This command is accessed by right clicking with the mouse in the Staff Label Panel area.

See Also

  • View Menu Commands
  • Show Label Panel


Layering in Edit Mode

This command is used to enable the layering of parts within the editor while in edit mode. When disabled, no layering is shown in the editor unless it is in Viewer Mode.

This option should not be confused with the Allow Layering option in Page Setup.

See Also

  • View Menu Commands
  • Page Setup


Viewer Mode

This command allows you to work within the editor using more of a printed view of the notation, including layering of all layered parts and hiding all elements that are not visible when printing.

This mode generally shows the notation in a similar fashion to the freely available NWC Viewer program.

See Also

  • Print Preview
  • View Menu Commands


Zoom In

The size of the notation font used in the NoteWorthy Composer 2 score editor can be increased with this command. This effectively lets you zoom in or magnify your view of the currently active score.

See Also

  • View Menu Commands


Zoom Out

The size of the notation font used in the NoteWorthy Composer 2 score editor can be decreased with this command. This effectively lets you zoom out your view of the currently active score.

See Also

  • View Menu Commands


Zoom

The size of the notation font used in the NoteWorthy Composer 2 score editor can be specified with this command. The size that you specify is the number of pixels which separate each line in the staff. Note that only an even number of pixels can be applied to staff separation. If you enter an odd number, it will be converted to the next even value (based on whether you are increasing or decreasing the separation).

See Also

  • View Menu Commands


Refresh

This command is used to refresh the currently active score. This is sometimes necessary if the score has not been redrawn properly, although this is usually unnecessary.

See Also

  • View Menu Commands


Status Bar Command

This command toggles the display status of the status bar at the bottom of the application. When checked, this indicates that the status bar is visible and available from within the application. When not checked, this indicates that the status bar is currently not included in the application display area.

See Also

  • View Menu Commands


Toolbars Command

This command is used to enable or disable the listed toolbars. You can use this command to hide or restore toolbars that are available to speed your access to common commands. The toolbar names that are checked are those that will be made visible. Those that are not checked will be removed from the screen.

If you have a piano control included in your toolbar configuration, you can also select the piano style that should be used.

Piano Style

The piano styles are defined by a piano.ini file, which is generally found in the program files folder, or in the Config Files section of Tools, Options, Folders.

See Also

  • Customize
  • List of Toolbar Buttons
  • View Menu Commands


Piano Bar Control

The piano bar control can be used to input notes, as well as to view keyboard pitch information related to the active staff.

A single piano bar can be added to the program's toolbars using View, Toolbars. The Customize button opens an interface where buttons can be added or deleted, including the piano bar. The piano bar can be added or removed using the tool named Piano Control. The size and number of keys for the piano is controlled by the Piano Style button in View, Toolbars.

Creating a Chord

You can use the piano to create a chord by using both the left and right mouse buttons. Click and hold the first note of the chord using the left mouse button, then strike the remaining notes in the chord using the right mouse button. Release the left mouse button when the chord is complete.

Creating a Custom Piano Style

The piano styles are defined in a file called piano.ini. The default piano styles can be found in program files folder. If you want to create your own piano style, you should create or copy the "piano.ini" file in the program’s Config folder. You can use the default file as a basis for creating your own version. When creating your own piano styles, you can also create custom highlight and play colors used by the piano, in addition to specifying its size and number of keys.

See Also

  • View Toolbars
  • Customize Toolbars
  • View Menu Commands


Staff Menu Commands

This menu allows staff parts to be added, changed, or removed from the score.

  • New Staff: Add a new staff to the current view of the score
  • Import Recording: Create a new staff by importing the most recent recorded MIDI performance
  • Move Staff: Move the currently active staff to another position in the score
  • Delete Staff: Remove the currently active staff
  • Mute Staff: Mute the active staff so that it does not sound during play back
  • Layer with Next: Use layering to overlap this staff with the one under it
  • Staff Properties: Edit the properties of the current staff


New Staff

This command is used to create a new staff and add it to the current view of the score. The properties for the new staff can be set by using the Staff Properties command.

See Also

  • Staff Menu Commands
  • Staff Properties
  • Setting an Instrument Patch
  • Tools Menu Commands


Import Recording

This command can be used to import the last recorded MIDI performance. The import options are set via the Import Instruction dialog, and then a new staff is created based on the instructions and the recorded performance. The properties for the newly imported staff can be set by using the Staff Properties command.

See Also

  • Staff Menu Commands
  • Staff Properties
  • Setting an Instrument Patch
  • Recording a MIDI Performance
  • Tools Menu Commands


Delete Staff

This command is used to remove the currently active staff from the score.

See Also

  • Staff Menu Commands
  • Tools Menu Commands


Move Staff

This command is used to move the currently active staff to another vertical position in the score.

Move to where

The position of the staff can be changed through this list box. The staff will be inserted above the staff selected in this box.

See Also

  • Staff Menu Commands
  • Tools Menu Commands


Mute Staff

This command is used to enable or disable the active staff during play back. When muted, a staff will not be heard during play, and its note events will not be included when saved into a MIDI file.

See Also

  • Staff Menu Commands
  • Staff Properties
  • Setting an Instrument Patch
  • Tools Menu Commands


Layer with Next Staff

This command allows you to quickly layer/unlayer the currently active staff with the staff below it. It can be accessed from the Staff menu, the Staff Label Panel on the left side of the editor, or from within Staff Properties.

See Also

  • Staff Menu
  • Staff Visual Properties
  • Show Label Panel


Staff Properties

This command is used to change the properties of the current staff. A series of property tabs are used to represent all of the parameters that you can change about the staff. The following property tabs are associated with staff data:

  • General: This includes the name, group and ending bar style for the staff.
  • Visual: This includes options that control the height, color, and overall style of the staff.
  • Midi: This includes many of the play back options that control the performance of the staff through your sound card or speakers.
  • Instrument: This tab allows you to set the default instrument that should be used during play back of this staff.

See Also

  • Staff Menu Commands
  • Instrument Change Command
  • Tools Menu Commands


Insert Menu Commands

This menu contains all of the symbols which can be inserted into a staff. All commands followed by three dots (...) utilize a dialog box to designate parameters associated with the item to be added. When a new symbol is added, it is placed at the insertion point in the active staff. When items are selected, symbols cannot be added to the active staff.

  • Note: Adds a note
  • Rest: Adds a rest
  • Chord Member: Adds a note member to a chord
  • Bar Line: Adds a standard bar line
  • Styled Bar Line: Adds special bar lines
  • Clef: Adds a bass or treble clef
  • Dynamic: Adds dynamics such as ppp or mf
  • Dynamic Variance: Adds dynamic variance, such as crescendo
  • Flow Direction: Adds flow direction symbols such as To Coda
  • Key Signature: Adds a key signature
  • Performance Style: Adds a performance style, such as Legato
  • Special Ending: Adds special endings
  • Sustain Pedal: Adds sustain pedal symbols
  • Tempo: Adds tempo designations
  • Tempo Variance: Adds tempo variances, such as fermata and accel.
  • Text: Adds a text expression of your choice
  • Time Signature: Adds a time signature designation
  • Instrument Change: Change the performance instrument and its properties
  • Multi-point Controller: Adds a generic MIDI controller


Note Command

This command adds an audible music note to the active staff. It places the note at the insertion point using the note parameters that are set in the Notes menu. The current view of the score is automatically reformatted to align all notes in the proper positions. This command can be quickly executed by pressing the <Enter> key on the computer keyboard while in the score editor, or by selecting the Note command on the editor's context menu.

See Also

  • Insert Menu Commands
  • Notes Menu Commands


Rest Command

This command adds a rest at the insertion point using the duration parameters set in the Notes menu. New rests can be added most efficiently through use of the space bar on the computer keyboard.

When adding whole note rests, the duration of the rest may change as new notes, rests, or bar lines are added around it. The program attempts to determine if a whole rest stands alone in a measure so that it can assign a duration equivalent to an entire measure. This requires calculating the time signature associated with this measure. If you experience any difficulties in the visual duration of a particular whole rest, you may need to initiate a refresh of the score.

The stem direction tools ( Stem Up and Stem Down) apply to rests as well as notes. This is most useful when combining a smaller duration rest with one or more notes to form a split-stem chord.

See Also

  • Insert Menu Commands
  • Notes Menu Commands


Chord Member Command

This command adds a new note to an existing note, rest, or chord that is just behind the insertion point. If only a single note or rest is present prior to executing this command, a new chord will be formed that combines this new note with the prior item. If the operation is not allowed (due to a rules violation, as described below), the computer will beep and no change will occur.

A chord is capable of supporting notes of two differing duration and/or differing stem directions. If the new note's stem direction and note position is consistent with the note, rest, or chord to the left of the insertion point, then the new note is combined with the item to the left. When combining notes with a previously placed rest, the stem direction tools can be used to control whether the notes appear above or below the rest.

The following rules apply to chords in NoteWorthy Composer 2:

  1. In most cases, a chord can contain only one note at each vertical position on the staff. Two notes with the same pitch but differing duration or stem direction cannot be added to the staff unless:
    1. no other notes above them in the chord have a stem down
    2. no other notes below them in the chord have a stem up
  2. Two notes at the same vertical position but with differing accidentals should never be added to the same chord or unpredictable results will occur. If either of these notes are dotted, then both should be dotted, or the visual results may be confusing to the reader. If only one of two overlapping notes is to be dotted, then ties should be used to demonstrate which voice is extended.
  3. If a chord member is added to an existing note, it must have the same duration, or it must be in the opposing stem direction. Attempts to add a third duration type to an existing chord, or two notes of differing duration but the same stem direction, will be rejected.
  4. A chord containing a rest is created by first placing the rest, and then adding one or more notes to that rest. The duration of the rest must be smaller than that of the notes that are added to it. The stem direction assigned to the rest must be different (opposite) than the note that is being added, or the operation will fail.
  5. A note with its stem going downward cannot be combined with a lower note which has its stem going upward. The reverse is also true: a note with its stem going upward cannot be combined with a higher note that has a downward stem.

Chord members can be added most efficiently by pressing <Ctrl Enter> from the computer keyboard. This automatically executes the chord member command. Chord members can be removed from a chord in a similar fashion by pressing <Ctrl Backspace> when the insertion point is directly to the right of the note to be removed. When removing notes from an existing chord that includes dual stem directions, the remaining items will still have their stem direction set. This holds true even if all of the items with stems going in one direction have been removed.

Lastly, it is important to understand that only the smaller duration item is actually used in aligning notes on a score. When creating split-stem chords, the notes in the larger duration are ignored when formatting and alignment is performed with respect to other notes above and around this item. It is also only possible to beam, triplet, or slur the notes of the shorter duration in a split stem chord.

See Also

  • Insert Menu Commands
  • Notes Menu Commands


Bar Line Command

This command adds a standard bar line at the insertion point. This command is most efficiently issued by pressing the <Tab> key from the computer keyboard.

Bar lines need to be added manually during note entry. They must be added to each staff individually. During note entry, the bar lines will, at times, not align with one another in different staves. After completing a section of a song, all bar lines should line up properly. If they do not, then there are duration differences between common measures of the different staves of the section. If you are unable to find the differences, then you might try playing the section back and hearing where the parts differ in their duration. Alternately, you may want to refresh the score. This sometimes clears up anomalies caused by such things as whole measure rests temporarily using an incorrect duration that does not match the time signature (whole note rests always assume the time of a measure as defined by the time signature).

See Also

  • Insert Menu Commands


Styled Bar Line Command

This command allows many types of bar lines to be added to the staff. This is done through the presentation of the Bar Line Specification dialog. The following bar line types are supported:

Single: A standard bar line (see Bar Line Symbol Command).

Double: A double bar line, which is typically used to denote a sectional change in the score.

Section Open/Close: Bar lines used to designate the beginning and end of a section of the score.

Local Repeat Open/Close: A special form of sectional repeat symbols. These allow a section to be repeated for a specified number of iterations without specifying special endings for each iteration. These loops can be nested inside a master loop which contains special endings. Special endings do not apply to local repeats. Attempts to combine local repeats and special endings will yield unpredictable results. Unlike master repeats, local repeat loops are performed even after a D.S. or D.C. flow direction has been executed.

Master Repeat Open/Close: Sectional repeat symbols for repeating a section. Each repeat should specify a special ending prior to the closing repeat symbol (see Special Ending Command). The closing repeat mark is ignored after a D.S. or D.C. flow redirection has been initiated.

Note that all repeats in a score must be added to each individual staff so that play back will be compiled and articulated correctly. The score printout logic will automatically display the repeat symbols at the proper position in a score system as long as all staves in the system have been assigned the same bar line types.

Several examples of repeated sections are available in the Samples folder in the application directory. They are named REPEATx.NWC, where x is a single numeric digit.

See Also

  • Insert Menu Commands


Clef Symbol Command

This command enables treble, bass, alto, tenor, and percussion clef signs to be added at the insertion point. The visual orientation of notes and chords contained in the score is not changed in any way when adding a clef to the score. Key signatures, however, are changed to represent the current clef.

When adding a clef in front of a series of notes previously placed on the staff, the notes can still be moved to reflect the clef change. This is accomplished by selecting the notes that need to be moved. The notes can then be shifted up or down by pressing <Ctrl+Shift+Up Arrow> or <Ctrl+Shift+Down Arrow> until the notes reflect the new clef. Note stem and slur directions can be audited if they are incorrect after this operation.

Although in the natural world the percussion clef does not indicate pitch (due to the nature of percussion notated in this clef), for purposes of MIDI input and play back the percussion clef behaves exactly like bass clef.

See Also

  • Insert Menu Commands


Insert Dynamic Command

Performance dynamics can be added at the insertion point with this command. These control the MIDI note on velocity and MIDI note volume with which a particular note is sounded. The symbol is placed at the vertical position of the staff where the insertion point is currently located.

By default, the MIDI Velocity settings (how hard a note is struck or blown) is increased as the dynamic is changed from ppp up to fff. You can override these changes and assign your own MIDI velocity. If you override the velocity with a zero velocity then the dynamic will not alter the current running MIDI velocity in the staff.

By default, a dynamic does not alter the MIDI volume of the channel being utilized to play back the current staff. You can change this behavior by overriding the MIDI volume behavior and specifying a MIDI volume of your choice. If you specify a override MIDI volume value of "-1" then no MIDI volume change will be triggered.

The changes of a dynamic can be gradually phased into a composition by using the Dynamic Variance item. For example, a Crescendo can be used to gradually move a performance from a pp to a ff performance if it is surrounded both before and after by a dynamic as described here. The crescendo will phase in both changes in MIDI velocity as well as MIDI volume.

The following property pages are used to define the full behaviour of a dynamic expression:

  • Dynamic Properties
  • Expression Placement Properties
  • Visibility Properties

See Also

  • Insert Menu Commands
  • Insert Dynamic Variance Command
  • Insert Multi-Point Controller Command
  • Refresh Score Command


Dynamic Variance Command

Performance dynamics can be gradually altered by combining absolute dynamics with variance items. This command is used to create text based crescendo and diminuendo dynamic changes. When an item of this type is encountered during MIDI play back, the staff is searched backward and forward for dynamic marks. If they are found on both sides of the variance, then the transition from the previous dynamic to the next dynamic is introduced gradually into the play back of the staff. This is true for both MIDI volume and MIDI note velocities.

It should be noted that the variance does not enforce specific rules about how the transition should take place based on the style of the variance. For example, a Crescendo could actually be used to fade out a part if the dynamics were arranged in such a way as to reduce the volume of the notes that follow in the staff. It is up to the composer to ensure that the MIDI velocity and volume defined by the surrounding dynamics reflects the true nature of the dynamic variance.

The duration of the transitional dynamic variance is based on the position of the dynamic that follows the variance in the staff. Note that repeats and flow direction marks are ignored when determining the dynamic that follows the variance. If the variance does not have a dynamic on both sides of it in the staff, it does not alter play back dynamics in any way.

Only the Crescendo, Decrescendo, and Diminuendo styles exhibit the variance behavior described above. The Rinforzando and Sforzando styles are ignored during MIDI play back.

See Also

  • Insert Menu Commands
  • Graphic Crescendo Command
  • Graphic Decrescendo Command


Flow Direction Symbol Command

Da capo, Dal Segno, Coda, and Fine instructions are added into the staff with this command. The symbols associated with each command are automatically placed in an appropriate vertical orientation.

These symbols must be added to each staff in the score in order to produce the desired play back result. Several examples of repeated sections are available in the Samples folder in the application directory. They are named REPEATx.NWC, where x is a single numeric digit.

The exact instructions supported by this command include:

Segno: This places a Segno symbol into the staff. This marks the place where play should resume after a Dal Segno instruction (which includes Dal Segno, D.S. al Coda, or D.S. al Fine instructions) is encountered during playback. This marker is ignored unless a Dal Segno mark is used to redirect playback to this marker later in the score.

Coda: This places a Coda mark into the score. This item is ignored by itself. It is used to mark the location where play will resume after a To Coda instruction is performed.

To Coda: This places an instruction into the staff that tells the performer to advance to the Coda mark that appears elsewhere in the score. This instruction is ignored if neither a Da capo nor Dal Segno has been performed. After a D.C. or D.S. instruction is performed, this instruction will send playback to the Coda mark, which generally appears immediately after the D.C. or D.S. instruction. Once a To Coda is performed, master repeat loops are again possible.

Da capo:
D.C. al Coda:
D.C. al Fine: These instructions are all considered to be Da capo, or D.C., instructions. When encountered, playback will be redirected back to the beginning of the song. After this instruction, all master repeats will be ignored, and only special endings marked with a D. will be performed. These items should not be mixed with Dal Segno instructions in the same song. Attempts to do so will yield unpredictable results.

Dal Segno:
D.S. al Coda:
D.S. al Fine: These instructions are all considered to be Dal Segno, or D.S., instructions. When encountered, playback will be redirected back to the Segno mark that should be placed earlier in the song. After this instruction, all master repeats will be ignored, and only special endings marked with a D. will be performed. These items should not be mixed with Da capo instructions in the same song. Attempts to do so will yield unpredictable results.

Fine: This item is used to stop playback of a song after a Da capo or Dal Segno instruction has been performed. This item is ignored in all other cases.

See Also

  • Insert Menu Commands


Key Signature Command

A new key signature can be added at the insertion point with this command. When the key signature of an existing section is changed, the visual properties of the notes in that section are not changed in any way.

Key signatures are not automatically propagated to all of the staves in a score. Each staff must be assigned the appropriate key signature.

A key signature designating the key of C is displayed as a single natural sign in the score editor. This is done to visually show that a key signature is present in this location. When the score is printed out, it will not show the natural sign.

Sometimes the key will not be displayed correctly until after a refresh is performed by pressing the F9 key.

See Also

  • Refresh Score Command
  • Insert Menu Commands


Performance Style Command

This command is used to insert a predefined performance expression into the staff. You can select among many pre-existing styles, most of which are the standard Italian spellings for the styles. Currently, only two styles alter the way the score is played back:

  • Legato: This style causes all note events to be played to their fullest duration, as if all notes that follow the instruction were slurred to the following note.
  • Staccato: This style causes all the notes that follow it to be played with a more staccato feel than normal.

All other styles currently change the style back to the default play back handling.

See Also

  • Insert Menu Commands


Special Ending Command

This command is used to designate that the current measure should be played during specific iterations of a master repeat loop. Up to seven standard iterations are possible. These are labeled 1st Ending through 7th Ending in the Repeat Loop Ending Specification dialog. The last ending, Default D.S./D.C. Ending, is used after a Da capo or Dal Segno instruction (flow redirection) has been performed. The last primary ending and the default ending are usually followed by a Section Close bar line to designate the end of the master repeat section.

The special ending containing the first ending must always appear before any other special ending, and must be concluded using a Master Repeat Close bar line. The special ending may be longer than one measure, but only the first measure will contain a printed marker line on top of it. In addition, the first special ending marker must only appear once before the Master Repeat Close is encountered. If more than one first special ending is defined in a single repeat loop, you may get unexpected results.

Special endings should be added to all staves in a score so that playback is performed properly. The print functionality will automatically suppress the Special Endings that appear on staves other than the top most in a system.

Several examples of repeated sections are available in the Samples folder in the application directory. They are named REPEATx.NWC, where x is a single numeric digit.

See Also

  • Insert Menu Commands


Sustain Pedal Command

Sustain pedal control can be added at the insertion point with this command. The MIDI sustain pedal controller is used during play back when these symbols are encountered.

See Also

  • Insert Menu Commands


Tempo Command

This command inserts a tempo designation at the insertion point. The tempo is designated in units of time base beats per minute. You control both the time base (quarter notes, eighth notes, half notes, or their dotted variations) and the beats per minute in that time base. This controls the speed at which a song plays back. The larger the tempo, the faster the song will play.

When using a tempo base smaller than a quarter note (8th and dotted 8th), not all values will result in unique play back tempos, due to internal rounding issues.

It is usually best if tempo changes are designated in only one staff of a score, thus making it easier to keep track of where the tempo changes occur.

You can also add an additional expression text to a tempo to humanize the tempo instruction. The expression text does not influence the tempo in any way, as the numeric tempo designation is used exclusively for this purpose.

See Also

  • Insert Menu Commands


Tempo Variance Command

This command is used to insert a tempo variance into the score. The following variance styles are supported:

  • BreathMark: The breath mark is represented graphically in the score and indicates that the performer should take a breath at this position. You can optionally specify a delay (in 16th notes) which will influence the play back of the staff. The delay should only be specified for one instance of the mark at any given vertical position in the song.
  • Fermata: The fermata is similar to the breath mark in that it is represented symbollically in the score and has a corresponding delay. The delay should only be specified for one instance of the mark at any given vertical position in the song.

The other marks (Accelerando, Allargando, Rallentando, Ritardando, Ritenuto, Rubato, and Stringendo) do not use a predefined delay. They scan on both sides of the variance event to find the presence of tempo marks. If they are found, then the change from one tempo to the next is introduced gradually at a rate determined by the distance up to the next tempo mark. If a tempo mark is not found either before or after the variance mark, then no change in the tempo is introduced into the play back of the staff/score.

Note that it is up to the composer to make sure that the tempo variance that is actually implemented reflects the change indicated in the text. For example, it is technically possible to create a section which slows down in tempo and yet is labeled as Accelerando.

See Also

  • Insert Menu Commands


Text Command

This command is used to insert a text instruction of your choice into the staff. It does not influence play back of the staff in any way, but can be useful when creating a printed score for a real performer.

As with other expression marks, you can control whether the text preserves its width in the score or does not influence how the score is printed. You can also indicate whether the expression should use the italic font, the bold font, or a custom font that you specify from Page Setup.

See Also

  • Insert Menu Commands


Time Signature Command

A time signature can be added at the insertion point using this command. The time signature is not enforced within the NoteWorthy Composer 2 score editor, so bar lines can be placed at your discretion (although the absence of bar lines makes a printout of the score difficult or impossible to achieve). The time signature does influence the duration of whole rest measures that appear in the staff.

The time signature must be assigned or added manually in each staff for it to appear.

See Also

  • Insert Menu Commands


Instrument Change Command

This command is used to change the instrument used to perform any staff notation that is mapped to the current staff's MIDI channel. Usually, this involves the inclusion of a MIDI Patch change, as well as establishing other performance parameteres that match the new instrument's play back characteristics.

The properties that are included in the Instrument Change box are summarized here:

  • Instrument Change Properties

See Also

  • Insert Menu Commands


Multi-point Controller Command

This command enables MIDI controller changes as well as tempo changes to be inserted into the song during play back. The changes can either by absolute changes, or the item can be instructed to gradually produce the change (Linear Sweep).

This symbol can be used for sophisticated control over the performance of the song. For example, it can be used to:

  • fade a part in or out during a song
  • gradually speed up or slow down a selection
  • change the pitch of a sustained note (string bends and the like)

The notation item produced from this command can only be seen from within the score editor. The display associated with this command does not get printed. This item can be changed using the Edit Selection command.

When this command is invoked, the MIDI Controller Specification dialog is presented. It contains the following information:

MIDI Controller Specification

Controller: This is where the type of controller that you want to control should be designated. You can chose from:

Tempo | Controls the tempo of the performance
Volume | Controls the loudness of the performance
Stereo Pan | Controls where in a stereo image the instrument will be heard
Breath Control | For instruments which support it, this controls the parameter designed to simulate wind flow into the instrument
Pitch Bend | Most useful when used to change the pitch of a sustained note
Modulation Wheel | Used to change the settings for the Mod Wheel in the synthesizer, if this parameter is supported
Foot Controller | Used to change the settings for the Foot Controller in the synthesizer, if this parameter is supported
Portamento Time | Used to change the settings for Portamento Time in the synthesizer, if this parameter is supported
Data Entry MSB | Used to change the settings for the Data Entry MSB in the synthesizer, if this parameter is supported
Balance | Used to change the settings for Balance in the synthesizer, if this parameter is supported
Expression | Used to change the settings for the Expression in the synthesizer, if this parameter is supported
Effect Controller 1 | Used to change the settings for Effect Controller 1 in the synthesizer, if this parameter is supported
Effect Controller 2 | Used to change the settings for Effect Controller 2 in the synthesizer, if this parameter is supported
Effects (Reverb) Depth | Used to change the settings for Effects (Reverb) Depth in the synthesizer, if this parameter is supported
Tremolo Depth | Used to change the settings for Tremolo Depth in the synthesizer, if this parameter is supported
Chorus Depth | Used to change the settings for Chorus Depth in the synthesizer, if this parameter is supported
Celeste Detune Depth | Used to change the settings for Celeste Detune Depth in the synthesizer, if this parameter is supported
Phaser Depth | Used to change the settings for Phaser Depth in the synthesizer, if this parameter is supported

Style: You can set up to 4 control points with different values for the controller you specify. This field allows you to specify the algorithm that will be used to interpret the control points.

Absolute | Only the specific values at specific times will be performed
Linear Sweep | Changes between the control points will be changed gradually over the time specified

Time Offset Multiplier: The numeric values that you place into the Time Offset field for each control point are relative times. They are converted to absolute musical intervals by multiplying them by the time offset multiplier specified here.

Linear Sweep Contour: This field can be used to control how dense a series of control changes will be when the Linear Sweep control change style. The larger the value you use, the fewer actual control changes will be used during the linear control sweep. This is most useful for pitch bends, as a very large number of control changes are possible when sweeping the pitch over its full range, thus sometimes overflowing the MIDI data stream.

Put another way, this defines how large a change to the controller value will be considered significant. In the case of pitch bend, where the value can be swept over thousands of values, each and every change of only 3 or 4 is not very important. In this case, you might use a value of 100, or even more, depending on how smooth you wish the pitch bend to be. This allows the program to lean out the number of control changes sent to the MIDI device, which can significantly improve performance. Think of it like this. If you started at 0 and wanted to count out loud to 10000 in 2 minutes, then:

  • using a contour setting of 1, you would count like this: "1, 2, 3, 4, 5, 6, 7, 8, 9..." all the way to 10000, and you would have to speak very fast to finish in 2 minutes
  • using a contour setting of 100, you would count: "100, 200, 300, 400, 500..." all the way to 10000, and you would probably have no trouble finishing in 2 minutes

The same is true with this setting. A higher contour value makes it easier for the controller to change the value from the value of 1 up to the value of 10000.

Control Point Settings: The lower area of the dialog is where you actually can define up to four control points. The first point is automatically enabled, so there is not an enabling checkbox. The other three points have a checkbox which you use to enable the corresponding control point.

Time Offset: The time offset for each control point gets multiplied by the Time Offset Multiplier field and then added to the current song position. This is how you specify when the control point should be initiated. Each control point's time offset is added to the previous control point's event time. This means that Setting 3 will always occur sometime after Setting 2, and so on. The time offsets do not change when particular notes are played that follow after the controller item in the staff, so one controller item can influence a series of note events.

Controller Value: The scroll bars next to each setting control the value associated with that control point. The range of the control point varies with the type of controller that has been specified.

Special Note: Inserting a Multi-point Controller that contains control points that are scheduled at time offset well beyond the current beat can significantly add to the hesitation time between when you request play and actually hear the song start to play back.

MIDI Controllers: For those that want to know the exact MIDI controllers used by the multi-point controller, the following controller names map to MIDI control numbers as shown:

Name | Controller #
Volume | 7
Stereo Pan | 10
Breath Control | 2
Modulation Wheel | 1
Foot Controller | 4
Portamento Time | 5
Data Entry MSB | 6
Balance | 8
Expression | 11
Effect Controller 1 | 12
Effect Controller 2 | 13
Effects (Reverb) Depth | 91
Tremolo Depth | 92
Chorus Depth | 93
Celeste Detune Depth | 94
Phaser Depth | 95

See Also

  • Insert Menu Commands


Notes Menu Commands

This menu is where the running parameters associated with note entry are maintained. In order to expedite note, chord, and rest entry, all note parameters are controlled through this menu. Each new note or rest that is added to the staff utilizes the parameters that are checked in this menu.

  • Colors
    • Default: Use the default color for the next notehead or item
    • Item Color #: Select one of the highlight colors for the next notehead or item
  • Durations
    • Whole: Checked prior to adding a whole note/rest
    • Half: Checked prior to adding a half note/rest
    • Quarter: Checked prior to adding a quarter note/rest
    • Eighth: Checked prior to adding a eighth note/rest
    • Sixteenth: Checked prior to adding a sixteenth note/rest
    • Thirty-second: Checked prior to adding a thirty-second note/rest
    • Sixty-fourth: Checked prior to adding a sixty-fourth note/rest
  • Noteheads
    • Standard Notehead: Select standard noteheads that are based on note duration
    • X Notehead: Selects an X notehead for use in note entry
    • Diamond Notehead: Selects a diamond notehead for use in note entry
    • Blank Space Notehead: Selects a blank notehead for use in note entry
  • Accidentals
    • Natural: Future notes will include a natural sign
    • Flat: Future notes will include a flat sign
    • Sharp: Future notes will include a sharp sign
    • Double Sharp: Future notes will include a double-sharp sign
    • Double Flat: Future notes will include a double-flat sign
  • Crescendo: Toggles the crescendo attribute of the selected notes
  • Diminuendo: Toggles the decrescendo attribute of the selected notes
  • Accent: Toggles the accent attribute of the selected notes
  • Dot: Toggles the dotted note attribute
  • Double-Dot: Toggles the double dot attribute
  • Grace: Toggles the grace note attribute of selected notes
  • Slur: Toggles the outbound slur attribute of the selected notes
  • Staccato: Toggles the staccato attribute of the selected notes
  • Tenuto: Toggles the tenuto attribute
  • Tie: Toggles the outward note tie attribute
  • Stem Up: Toggles the upward stem attribute
  • Stem Down: Toggles the downward stem attribute


Note Colors

This command is used to select the color highlight that should be used for the notehead of the next added note, or the item color for other objects. When the default color is selected, the object or notehead will use the default color for the staff or item.

If one or more items are selected on the staff, then the color buttons always change the item color for the selected items. Notehead colors can be changed as a group using Edit, Properties.

See Also

  • Notes Menu Commands


Whole Note Command

This command selects a whole note duration for use during note entry. If it is selected when a note, chord member, or rest is added, the resulting item on the staff will have a base duration equivalent to a whole note.

For audible notes and chord members, this duration is the equivalent of four quarter notes. For rests, the duration can vary depending on whether the rest appears by itself in a measure. If a whole rest stands alone in a measure, the duration is based on the current time signature.

See Also

  • Notes Menu Commands
  • Note Symbol Command
  • Rest Symbol Command
  • Refresh Score Command


Half Note Command

This command selects a half note duration for use during note entry. If it is selected when a note, chord member, or rest is added, the resulting item on the staff will have a base duration equivalent to a half note.

See Also

  • Notes Menu Commands
  • Note Symbol Command
  • Rest Symbol Command


Quarter Note Command

This command selects a quarter note duration for use during note entry. If it is selected when a note, chord member, or rest is added, the resulting item on the staff will have a base duration equivalent to a quarter note.

See Also

  • Notes Menu Commands
  • Note Symbol Command
  • Rest Symbol Command


Eighth Note Command

This command selects an eighth note duration for use during note entry. If it is selected when a note, chord member, or rest is added, the resulting item on the staff will have a base duration equivalent to a eighth note.

See Also

  • Notes Menu Commands
  • Note Symbol Command
  • Rest Symbol Command


Sixteenth Note Command

This command selects a sixteenth note duration for use during note entry. If it is selected when a note, chord member, or rest is added, the resulting item on the staff will have a base duration equivalent to a sixteenth note.

See Also

  • Notes Menu Commands
  • Note Symbol Command
  • Rest Symbol Command


Thirty-second Note Command

This command selects a 32nd note duration for use during note entry. If it is selected when a note, chord member, or rest is added, the resulting item on the staff will have a base duration equivalent to a thirty-second note.

See Also

  • Notes Menu Commands
  • Note Symbol Command
  • Rest Symbol Command


Sixty-fourth Note Command

This command selects a 64th note duration for use during note entry. If it is selected when a note, chord member, or rest is added, the resulting item on the staff will have a base duration equivalent to a sixty-fourth note.

See Also

  • Notes Menu Commands
  • Note Symbol Command
  • Rest Symbol Command


Cycle Noteheads Command

This command cycles through the available noteheads during note entry. This enables all of the notehead styles to be selected in a rotating fashion using the Q key on the computer keyboard. This command only works when entering new notes. Changing the notehead of selected notes that are already on the staff involves selecting the specific notehead that should be applied to the selection.

The notehead styles that are cycled using this command include:

Standard notehead based on duration
X notehead
Diamond notehead
Blank notehead

See Also

  • Notes Menu Commands
  • Note Symbol Command


Standard Notehead Command

This command selects the standard notehead for use during note entry. When applied to a note, the notehead will be the standard variety based on the note's duration. This can be selected prior to inserting the note, or applied to existing notes on the staff by selecting them and then applying this command. Different noteheads are added in a chord by first selecting the appropriate notehead tool, then adding the note to the chord in the customary fashion.

See Also

  • Notes Menu Commands
  • Note Symbol Command
  • Cycle Noteheads Command


X Notehead Command

This command selects the X notehead for use during note entry. When applied to a note, the notehead will show as an X regardless of the note's duration. This can be selected prior to inserting the note, or applied to existing notes on the staff by selecting them and then applying this command. Different noteheads are added in a chord by first selecting the appropriate notehead tool, then adding the note to the chord in the customary fashion.

See Also

  • Notes Menu Commands
  • Note Symbol Command
  • Cycle Noteheads Command


Diamond Notehead Command

This command selects the diamond notehead for use during note entry. When applied to a note, the notehead will be the diamond variety regardless of the note's duration. This can be selected prior to inserting the note, or applied to existing notes on the staff by selecting them and then applying this command. Different noteheads are added in a chord by first selecting the appropriate notehead tool, then adding the note to the chord in the customary fashion.

See Also

  • Notes Menu Commands
  • Note Symbol Command
  • Cycle Noteheads Command


Blank Space Notehead Command

This command selects a blank notehead for use during note entry. When applied to a note, the notehead will be blank, regardless of the note's duration. This can be selected prior to inserting the note, or applied to existing notes on the staff by selecting them and then applying this command. Different noteheads are added in a chord by first selecting the appropriate notehead tool, then adding the note to the chord in the customary fashion.

See Also

  • Notes Menu Commands
  • Note Symbol Command
  • Cycle Noteheads Command


Natural Command

This command toggles the running Natural accidental parameter for use during note entry and for selected notes. If it is selected when a note or chord member is added, the resulting note on the staff will included a natural sign in front of it.

See Also

  • Notes Menu Commands
  • Note Symbol Command


Flat Command

This command toggles the running Flat accidental parameter for use during note entry and for selected notes. If it is selected when a note or chord member is added, the resulting note on the staff will included a flat sign in front of it.

See Also

  • Notes Menu Commands
  • Note Symbol Command


Sharp Command

This command toggles the running Sharp accidental parameter for use during note entry and for selected notes. If it is selected when a note or chord member is added, the resulting note on the staff will included a sharp sign in front of it.

See Also

  • Notes Menu Commands
  • Note Symbol Command


Double Sharp Command

This command toggles the running Double Sharp accidental parameter for use during note entry and for selected notes. If it is selected when a note or chord member is added, the resulting note on the staff will included a double sharp sign in front of it.

See Also

  • Notes Menu Commands
  • Note Symbol Command


Double Flat Command

This command toggles the running Double Flat accidental parameter for use during note entry and for selected notes. If it is selected when a note or chord member is added, the resulting note on the staff will included a double flat sign in front of it.

See Also

  • Notes Menu Commands
  • Note Symbol Command


Crescendo Command

This command adds a crescendo graphic to selected notes. This is sometimes referred to as a hairpin crescendo. The crescendo will appear on the staff in the same vertical position as the most recent prior Dynamic or Dynamic Variance (which ever appears first).

This first note after a Dynamic change that has this property turned on will trigger a gradual volume/velocity dynamic swell or fade. The gradual change is based on the Dynamic instructions that immediate precede and immediately follow the notes within the hairpin. For longer swell and fade sequences, it is generally preferrable to use the equivalent text instruction using the Dynamic Variance item. You can safely use both items in the same swell or fade, since only the first one that is encountered will actually be used during play back.

See Also

  • Notes Menu Commands
  • Diminuendo Command
  • Dynamic Variance Command (Textual Crescendo/Diminuendo Instructions)


Diminuendo Command

This command adds a diminuendo graphic to selected notes. This is sometimes referred to as a hairpin diminuendo or decrescendo. The diminuendo will appear on the staff in the same vertical position as the most recent prior Dynamic or Dynamic Variance (which ever appears first).

This first note after a Dynamic change that has this property turned on will trigger a gradual volume/velocity dynamic swell or fade. The gradual change is based on the Dynamic instructions that immediate precede and immediately follow the notes within the hairpin. For longer swell and fade sequences, it is generally preferrable to use the equivalent text instruction using the Dynamic Variance item. You can safely use both items in the same swell or fade, since only the first one that is encountered will actually be used during play back.

See Also

  • Notes Menu Commands
  • Crescendo Command
  • Dynamic Variance Command (Textual Crescendo/Diminuendo Instructions)


Accent Note Command

This command toggles the note accent attribute for use during note entry and for selected notes. If it is selected when a note or chord member is added, the resulting item on the staff will be marked as accented.

See Also

  • Notes Menu Commands
  • Edit Menu Commands


Dot Duration

Dot Command

This command toggles the dotted note duration for use during note entry. If it is selected when a note, chord member, or rest is added, the resulting item on the staff will have the dotted variation of its base duration.

The period on the keyboard can be used to toggle the dot attribute. If the double dotted note command tool appears next to the dot command on a tool bar, then the period will cycle through both dot attributes. You can use the Toolbar Customization feature to set this up.

See Also

  • Notes Menu Commands
  • Double-Dot Command
  • Note Symbol Command
  • Rest Symbol Command


Double-Dot Duration

Double Dotted Note Command

This command toggles the double dotted note duration for use during note entry. If it is selected when a note, chord member, or rest is added, the resulting item on the staff will have the double dotted variation of its base duration.

See Also

  • Notes Menu Commands
  • Dot Command
  • Note Symbol Command
  • Rest Symbol Command


Grace Notes Command

This command toggles the grace note parameter for use during note entry. When activated, notes entered onto the active staff will automatically be displayed and treated as grace notes. They will be reduced in size, and will steal time from the full (non-grace) note that follows them when the staff is played back.

See Also

  • Refresh Score Command
  • Notes Menu Commands
  • Edit Menu Commands


Slur Notes Command

This command toggles the outward note slur parameter for use during note entry. When activated, notes entered onto the active staff will automatically be slurred to the right. They will connect with the next note or rest using a slur stroke.

If you are using the lyric feature: All notes other than the first of a slur will not be associated with a lyric syllable, as they are considered to be a note combination formed to articulate the single syllable.

See Also

  • Refresh Score Command
  • Notes Menu Commands
  • Edit Menu Commands


Staccato Note Command

This command toggles the staccato note attribute for use during note entry. If it is selected when a note or chord member is added, the resulting item on the staff will be marked as staccato.

See Also

  • Notes Menu Commands
  • Edit Menu Commands


Tenuto Note Command

This command toggles the tenuto note attribute for use during note entry. If it is selected when a note or chord member is added, the resulting item on the staff will be marked as tenuto.

See Also

  • Notes Menu Commands
  • Edit Menu Commands


Tie Command

This command toggles the outward note tie parameter for use during note entry. When activated, notes entered onto the active staff will automatically be tied to the right. They will connect with the next note that is in the same position on the staff. A clef change should not be inserted in the middle of a note tie or the program will associate two notes of differing pitches together, thus preventing some notes from playing, and others from turning off.

A tied note can be created after a note is placed on the staff by selecting it, and then pressing the note tie button on the tool bar. This only works when the following conditions are satisfied:

  1. One, and only one, note or chord is selected
  2. The adjacent note or chord to the right includes a note at the same position on the staff

If you are using the lyric feature: All notes that are the recipient of an inward tie will not be associated with a new lyric syllable.

See Also

  • Notes Menu Commands
  • Note Symbol Command
  • Refresh Score Command


Stem Up Command

This command toggles the note stem up attribute for use during note entry. If it is selected when a note, rest, or chord member is added, the resulting item on the staff will have an upward stem, if it requires a stem. This parameter also applies to rests and whole notes, neither of which actually demonstrate their note stem direction visually.

A note's stem direction can be controlled after it has been placed in the staff. This is accomplished by selecting the notes, and then pressing the note stem button on the tool bar. The button is highlighted when the entire selection contains the stem direction attribute, otherwise it is not highlighted. The stem direction cannot be changed for a selection which includes a split stem chord or chord which includes a rest.

If a note does not contain a stem direction attribute, the stem direction is determined by the position of the note on the staff. If the Audit Note Stems command is used, all stem direction attributes will be reconsidered based on a note's position on the staff, its presence in a beam, as well as any preceding split stem chords which appear behind it.

See Also

  • Notes Menu Commands
  • Edit Menu Commands
  • Audit Note Stems Command


Stem Down Command

This command toggles the note stem down attribute for use during note entry. If it is selected when a note, rest, or chord member is added, the resulting item on the staff will have an downward stem, if it requires a stem. This parameter also applies to rests and whole notes, neither of which actually demonstrate their note stem direction visually.

A note's stem direction can be controlled after it has been placed in the staff. This is accomplished by selecting the notes, and then pressing the note stem button on the tool bar. The button is highlighted when the entire selection contains the stem direction attribute, otherwise it is not highlighted. The stem direction cannot be changed for a selection which includes a split stem chord or chord which includes a rest.

If a note does not contain a stem direction attribute, the stem direction is determined by the position of the note on the staff. If the Audit Note Stems command is used, all stem direction attributes will be reconsidered based on a note's position on the staff, its presence in a beam, as well as any preceding split stem chords which appear behind it.

See Also

  • Notes Menu Commands
  • Edit Menu Commands
  • Audit Note Stems Command


Tools Menu Commands

This menu contains various tools for working with a score file.

  • Record: Records MIDI input while playing the active score
  • Staff Play: Plays just the active staff
  • Play: Plays the active score
  • Stop: Stops play or resets all configured devices
  • Windows Volume Control: Opens the system volume control panel
  • Score Review: Review the score in a list format
  • Layerng Tool: A layering tool for quickly reworking staff layers
  • Mute List: Set and clear the mute status for the score parts from a list
  • Insert MIDI Input: Enables remote note entry via MIDI Input
  • Persistent Note Tools: Enables the selection of various note tools to persistent even after a note is added
  • Automatic Beam: Automatically beaming function for the active staff
  • Transpose Staff: Transposes the active staff up or down in semitones
  • Force Accidentals: Forces all notes in active staff to be labeled with an accidental
  • Audit
    • Audit Accidentals: Audits and polishes the accidental assignments in the active staff
    • Audit Bar Lines: Audits and replaces the bar line structure of the current staff
    • Audit Enharmonic Spelling: Audits and re-spells notes to match the current key signature
    • Audit Note Stem: Audits and polishes the note stem directions for the active staff
  • User Tool: Used to run your own custom tools/commands on selected notation
  • Options: Configure NoteWorthy Composer 2 application preferences


Record Command

The recording feature of NWC is built on top of the existing play back capabilities in the application. This feature allows a MIDI performance received from the MIDI input device to be recorded and captured while the current score is playing back. Recording is only possible when a score is open and is playing. If the current song is only three bars in length, then starting a recording will only allow up to three bars to be recorded. This is because recording and play back will both stop when the current song play back is finished.

This command can be quickly activated using the F4 key, or the record icon on the file tool bar.

During recording, play back proceeds the same way as with the Play command, except that play always starts from the beginning of the song. The relative play back options supported by the play command are not used in the recording process, since the imported results always create a new staff.

When the play back of the song is finished, or play is stopped, the recorded performance is saved into a dedicated record buffer. The performance may optionally be imported into a new staff or new song window. This is controlled by options that you set in the Record Tab of the Options dialog. Regardless of the setting for the recording import, the saved performance can be manually imported into a new staff at any time by using the Import Recording command on the Staff menu.

Configuring Record Options

A recording can only be started when a MIDI input device has been provided to NWC. This is done from the Record Tab of the Options dialog. Once this is done, a recording can be started for the current song at any time simply by pressing F4, or by pressing the record icon in the tool bar. The current song will immediately begin to play back from the start of the song. An indication that Recording is in progress will appear at the bottom of the screen, which acts as a reminder and confirmation that recording is in progress. The recording concludes when either the song is over, or you press the stop command.

Once recording is concluded, the performance is automatically saved into an internal record buffer. What happens next is up to you. The next step is controlled by the import recording option in the Record tab of the Options. The following choices are included:

  1. The recording can automatically be imported into a new song window. This is the New window setting. In this case, the import process will be based on the defaults set in the Import tab of Options.
  2. The recording can be imported into a new staff of the currently active score. The new staff (or staves) will be added to a staff group labeled "Record". In this case, the import process will be based on the defaults set in the Import tab of Options.
  3. The recording can simply be retained in the recording buffer, without any automatic import being performed. In this case, the recording can be manually imported using the Import Recording command on the Staff menu. This allows you to specify the note and rest resolutions used in the import, as well as the pitch ranges and channels that will be recognized in the process. The new, imported musical staff will be added to the end of the currently score view.

If you want the MIDI input received by NWC to be echoed to an output MIDI device, this can also be setup in the Record tab of the Options. The echo feature, as it is called, can be enabled from here. It can also be used to specify echo to an existing playback device, as well as specifying an override MIDI channel that should be used instead of the MIDI channel received at input. This feature is generally useful when your MIDI keyboard does not include its own synthesizer. You can use the echo feature to hear what is played on the keyboard through your computer's sound card.

See Also

  • Tools Menu Commands
  • Configuring for Sound:
  • Options Command


Staff Play Command

This command compiles the active staff and begins to play it back over the selected MIDI devices. This command can be quickly activated using the Shift+F5 key combination. This command can be used to review the performance of a single staff without having to go and mute all of the other staves. It will start play back in exactly the same manner as the Play command, except that only the current staff will be played back. This command is not available if the current staff has been muted.

In some cases, the featured play back of a staff may not stop automatically at the end of the staff. This situation can occur when the featured staff is shorter than other parts in the song, and those other parts have volume, tempo, or controller changes in them which occur after the last note in the featured staff. If this happens, simply press the Stop button at any time to manually end the play back of the current staff.

See Also

  • Tools Menu Commands
  • Configuring for Sound:
  • Options Command


Play Command

This command compiles the active score and begins to play it back over the selected MIDI devices. This command can be quickly activated using the F5 function key, or the play icon on the file tool bar.

If play back proceeds, but no sound is heard, there may not be any MIDI devices selected, or the song uses device ports that do not have devices assigned. The Options command should be used to select which devices will be used during play back (see Options Command). It is also possible that the song uses channels on the currently selected device which are ignored by the device driver. In this situation, the parts in the score should be re-channeled to the range which is recognized by the selected device.

The point where play back begins can be customized to suit your preferences. For example, you can chose to have play back begin from the insertion point, instead of from the beginning of the score. See the Options Command for more information.

See Also

  • Tools Menu Commands
  • Configuring for Sound:
  • Options Command


Stop Command

This command is used to stop or cancel a currently playing score. It can be quickly activated from the keyboard using the F6 key.

If a score is not currently playing, all the open MIDI device ports will be reset. This is a good way to quiet or shut off stuck notes, should this ever happen.

See Also

  • Tools Menu Commands


Volume Control Command

This command is used to open the system volume control panel, usually referred to as the Windows Volume Control.

When you have volume problems, including hearing no sound at all, this is the first place to check for problems.

See Also

  • Tools Menu Commands


Score Review

This command brings up a list of all staves in the score. A summary of the MIDI attributes from Staff Properties is shown for each staff. Each staff can be edited by advancing to the properties dialog directly from the review.

See Also

  • Staff Properties
  • Setting an Instrument Patch
  • Staff Menu Commands
  • Tools Menu Commands


Layering Tool

This command brings up a list of all parts in the score where layering can be quickly established or removed. You create a layer in the Layering Tool by selecting all of the parts that should be in the layer, then pressing the Make Layer button. If you have only one part selected, then the Make Layer command will make that part unlayered, since you are basically making it a layer comprised of a single staff.

You select multiple parts in the Layering Tool in much the same way as you do from Windows Explorer. You can press and hold the shift key to select ranges, or the control key to select individual parts.

See Also

  • Layer with Next Staff
  • Staff Properties
  • Staff Menu Commands
  • Tools Menu Commands


Mute List

This command brings up a list of all parts in the score, each with a select box for turning the part's mute status on and off.

See Also

  • Staff Properties
  • Setting an Instrument Patch
  • Staff Menu Commands
  • Tools Menu Commands


MIDI Input Active

This command is used to enable remote note entry from an external MIDI device, such as a MIDI enabled keyboard. Notes can be placed into the active staff by keying in note sequences on a MIDI capable keyboard. This is not the same as MIDI recording. In this case, input is not performed in real time, where as in recording, a MIDI performance is captured and subsequently converted to notation. This box enables a procedure whereby notes and/or chords are added one at a time, while also adjusting the other important parameters, such as duration, ties, and the placement of other items like bar lines. The MIDI keyboard simply makes it easier to select the particular note pitches without having to move the insertion point around the staff. It is also possible to create a chord all at once via pressing the keys of the chord simultaneously.

Customizing

Note entry via MIDI is enabled via the MIDI Input Active command on the Tools menu, or by selecting the equivalent button on the tool bars. However, several other areas must be set properly before this can be used to its fullest. These areas include:

  1. A MIDI input device must be provided:
    The Record tab in the Options dialog allows a MIDI input device to be established. The pertinent field is labeled as Input Device. Once a legitimate MIDI input driver is specified and accepted, NWC is able to receive MIDI input.
  2. MIDI port sharing must be set cooperatively:
    The MIDI ports must actually be open and available for use by NWC for the MIDI input to work properly. The port sharing option in the MIDI tab controls when the MIDI ports are open in NWC. If you plan to perform note entry via MIDI input, then you should set the port sharing option to While Active or Always. If it is set to While Playing, then the MIDI input device will only be available while a song is being played.

If the MIDI Input Active command on the Tools menu is grayed out, review the setup described above. Unless your MIDI devices are not configured properly, the two prior settings are the only reasons why MIDI note entry would not be possible on an open score.

Changing Note Duration Remotely

When note entry via MIDI is enabled, it is also possible to change the note duration options using a variety of MIDI controllers. Each controller has two modes: the first mode is used before any new note keys are pressed and held; the second mode is used after one or more new notes are pressed and being held on the keyboard. The controllers and their behavior is described below:

Pitch Bend
Before the notes are pressed: The note duration setting will move rightward each time you push the pitch bend wheel in the upward, or forward, direction. The note duration setting will be adjusted leftward (towards the whole note) when the pitch bend wheel is pulled downward. The wheel must be returned close to center in order to initiate another movement.

While notes are pressed: After one or more notes have been pressed and are being held on the keyboard, the pitch bend wheel controls the dotted note buttons. Each forward push of the wheel cycles the dot parameter. Each downward pull of the pitch wheel rests the dot note parameters to off when note keys are being held.

Modulation Wheel
Modulation Pedal
Data Entry Slider
Before the notes are pressed: The note duration setting will change as the pedal, wheel, or slider is moved. The lower controller values correspond to higher note duration. Each the controller value increases or decreases, the note value will change in the tool bar containing the note duration icons.

While notes are pressed: After one or more new notes have been pressed and are being held on the keyboard, the controller will cycle the dot note parameters (ranging from off, to dot, to double-dot).

See Also

  • Tools Menu Commands


Persistent Note Tools

This option is used to control the persistence of the majority of note tools (such as the dot parameter) during note entry. When enabled, selected note parameters stay selected until you specifically turn them off. When not enabled, the parameters will reset after you add a note or rest to the staff.

See Also

  • Tools Menu Commands


Audit Accidentals

This command can be used to remove any unnecessary accidentals assigned to notes in the active staff. It compares all notes with the running key signature, and if the accidental it contains matches the running signature, then the accidental is removed.

Note that this audit does not currently support the automatic placement of hint accidentals that many composers use to remind the player of the implied accidental associated with a note that is in key, but had been altered in the prior measure.

This audit will not detect if the accidental is the enharmonic version of a note that appears in the key signature. If you want all note spelling to be converted to in key variants, you can use the Audit Enharmonic Spelling command.

See Also

  • Tools Menu Commands
  • Force Accidentals


Audit Bar Lines

This command is used to audit the bar line alignment in the active staff. If the audit finds a standard bar line that is not aligned properly, it is removed and a new bar line is added in the proper place.

This command may change the rhythmic structure of your song! For example, if an existing note starts prior to where a bar line belongs, but extends beyond where the bar line belongs, it is split so that the bar line can be added.

This command will abort if it finds that a bar line is needed in the middle of a triplet grouping or a split stem chord. If this occurs, you can manually insert a new bar line at the point where the audit aborted, and then re-initiate the audit to complete the job.

See Also

  • Tools Menu Commands


Audit Enharmonic Spelling Command

This command is used to audit all of the note spelling on the staff. All note pitchesd, including individual members of a chord, will be compared to the note pitches contained within the key signature. If a note pitch can be spelled within the key signature, then the audit will change the spelling of the note such that it is in the key signature. If the note requires an accidental, the spelling of the note will favor sharps for key signatures that contain sharps, or flats for key signatures that contain flats.

In some chord scenarios where multiple adjacent intervals of a minor second are used, the result of the audit may include some lost or inaccurate notes in the staff . In cases where this might happen, you are warned, and the chords which may have a problem are shown to you, one by one. The specific things which might cause trouble include:

  1. Intervals of a minor second where one or more of the notes in the interval are tied to some other note in the staff which is not a part of the same minor second interval. The note tie may not be correct after transposition, as they may get transposed to different staff positions and accidental assignments.
  2. A group of 3 or more notes that are all separated by intervals of a minor second. In this case, one or more of the notes may no longer exist after the transposition.
  3. Two overlapping notes combined into a chord.

If any of these situations apply to the staff you are transposing, you should look over the chords as they are shown, and then decide whether you still wish to use the audit function. In any case, if you are unhappy with the results of the audit, you can simply undo it afterwards to restore the staff to its form prior to the audit.

See Also

  • Tools Menu Commands


Audit Note Stems

This command is used to audit all of the note and rest stem directions assigned in the currently active staff. It will remove unnecessary stem up or down attributes and recalculate stem directions for note beams and triplets. This command is useful after transposing a staff into another key and you want the stem directions to be cleaned up to reflect the note's new positions on the staff.

See Also

  • Tools Menu Commands


Automatic Beam Command

This command can be used to automatically beam a series of adjacent notes that contain stem flags and also fall inside of a beat. This command does not alter any notes that are already beamed, so it can be run several times through the course of creating a score to beam any notes that have not yet been handled.

See Also

  • Tools Menu Commands


Transpose Staff Command

This command is used to transpose the current staff up or down by a number of semitones. This is most often used to transpose the visual score to another key which matches the natural pitch of the currently selected instrument for the staff. Both notes and any standard key signatures are transposed by the number of semitones that you specify. The audible effect of the transpose can be negated so that all staves in the score sound right when played back. This is done using the Transposition field in the global staff parameters. You can designate that the staff play back transposition be updated automatically, or you can change this yourself from inside the Staff Properties dialog on the Midi tab.

Controls

Semitones

This box contains the number of semitones that the staff will be transposed by during execution of the transpose operation. A value of 0 in this box will cause the staff to be enharmonically re-spelled, based on the current key signatures in the staff.

Update staff play back

If this box is checked, the staff will be audibly transposed during play back such that the effects of the transpose will not be heard (although they will be seen on screen). This box is most often used to compensate for an instrument that does not match concert C tuning. When transposing to the instruments natural key, a check in this box will ensure that MIDI playback will still sound correctly through your sound card.

If you prefer for the effects of the transpose to both be seen and heard, then do not place a check in this box. If you decide to undo the effect later, this can be done from within the Score Builder, using the Edit button for this staff.

Minimize sharp/flat count

When enabled, this tells the transpose operation to select new key signatures that minimize the number of sharps or flats in the key.

Favor Flay Keys

When enabled, this tells the transpose operation to prefer flat key signatures when the new key signature would otherwise be ambiguous.

Favor Sharp Keys

When enabled, this tells the transpose operation to prefer sharp key signatures when the new key signature would otherwise be ambiguous.

See Also

  • Tools Menu Commands


Force Accidentals Command

This command runs through all of the items in the active staff and assigns accidentals to any notes that do not currently have them. This can be useful when used as a step in the process of changing key signatures within the staff.

See Also

  • Tools Menu Commands
  • Audit Accidentals


Repeat Last User Tool Command

This command is used to run the most recently executed user tool. Your responses to any prompts that were issued by the tool are remembered and re-used.

See Also

  • Tools Menu Commands
  • User Tools Command


User Tool Command

This command is used to create a list of user tools which can then be run on selected notation in a staff, or on an empty selection for inserting new notation into the staff. You can use the New, Edit, and Remove buttons to customize your user tools.

Developer Information

User tools are console mode programs (they run on the command line, not via a graphical user interface). A user tool should accept notation clip text on its standard input (STDIN), and should output new or replacement clip text on its standard output (STDOUT). Any warnings or errors should be directed to standard error (STDERR). The following return codes are recognized:

0 | Text in STDOUT is processed and anything found in STDERR is presented as a warning to the user
1 | Anything found in STDERR is shown to the user, and nothing else is done
99 | Anything found in STDOUT is shown to the user, and nothing else is done

A user tool can be configured to accept user input by adding special prompt instructions on the user tool command line. The format for a prompt instruction is as follows:

<PROMPT:prompt_label=*>
A prompt instruction always starts with the < sign, followed by the word PROMPT in upper case, and completed by a colon. The prompt issued to the user is then specified. It should only contain alpha-numeric text, questions mark, or colon. The prompt is terminated by an equal sign (=). The character after the equal sign is a format specifier, which can be one of the following:

* | An asterisk indicates that general text input should be gathered from the user.
# | The pound sign indicates that the user should be prompted for an integer value. The range of the value can optionally be specified in brackets after the # sign. For example #[0,5] would prompt for a value from 0 to 5 to be entered by the user.
| | The vertical bar indicates that the user should be prompt to select a value from a list. The list of possible values immediately follow the first vertical bar, each separated by another single vertical bar. For example, |Quarter|Half|Whole would prompt the user to select one of these three durations. The first value in the list is the default.

Finally, the prompt is terminated by the > sign. No extra white space should be included in the prompt specifier.

Some example prompts:

<PROMPT:Enter a matching text expression:=*>
This will prompt the user to "Enter a matching text expression:" that will include a text box for general text entry.

<PROMPT:How many?=#>
This will prompt the user "How many?" that will include a numeric entry box.

<PROMPT:Which octave?=#[3,6]>
This will prompt the user to select "Which octave?" and will include a numeric entry box that accepts values from 3 to 6.

<PROMPT:Please select the smallest note to process?=|Quarter|8th|16th|32nd>
This will prompt the user to "Please select the smallest note to process?" and will include a drop down box that includes Quarter, 8th, 16th, and 32nd.

A good way to learn more about the user tool mechanism is to start with our User Tool Starter Kit. It can be found at our web site:

http://NoteworthySoftware.com

See Also

  • Tools Menu Commands
  • Last User Tool


Options Command

This command enables program customization. Once initiated, a dialog is presented with the following tabs:

  • Color: This is where the highlight colors can be customized
  • Editor: This is where the editor can be customized
  • File: This is where the File handling of NoteWorthy Composer is customized
  • Folders: This is where the file location handling of NoteWorthy Composer 2 is customized
  • Import: This is where the MIDI import options are customized
  • Midi: This is where MIDI play back behavior is customized
  • Record: This is where MIDI input and recording featured are customized

Any changes you make in a tab will take effect when you press OK, or switch to another tab. Once you switch to another tab after having made changes, you can no longer cancel the changes that were made in the prior tab.

See Also

  • Tools Menu Commands


Window Menu Commands

This collection of commands enables manipulating the arrangement of editor windows in the NoteWorthy Composer 2 workplace.

  • Cascade: Cascades all open windows that are not minimized
  • Tile: Tiles all open windows that are not minimized
  • Arrange Icons: Arranges all minimized windows
  • Close All: Closes all open windows
  • Child List: Short list of open windows which can be activated
  • More Windows: Complete list of open windows (more than 9 windows)


Cascade Windows Command

This command arranges all open edit windows which are not minimized into a cascaded stack. All of the score file names will be visible in the banners of each window.

See Also

  • Windows Menu Commands


Tile Windows Command

This command arranges all open widows on the screen such that the client area of each window is visible in the NoteWorthy Composer 2 workspace. This command is most effective when three or fewer edit windows are open.

See Also

  • Windows Menu Commands


Arrange Icons Command

This command arranges all minimized windows around the bottom of the NoteWorthy Composer 2 workspace.

See Also

  • Windows Menu Commands


Close All Windows Command

This command closes all edit windows in the NoteWorthy Composer 2 workplace. Any songs which have changed since their last save will prompt for permission to save the file.

See Also

  • Windows Menu Commands


Editor Context Menu Commands (No Selection)

The following commands are available in the notation editor when no items are currently selected. These can be accessed either by: hitting the right mouse button (on a two or three button mouse), or by pressing the Menu key on the computer keyboard. After this action, the appropriate notation editor context menu pops up with the choices below:

  • Note: Adds a note
  • Rest: Adds a rest
  • Chord Member: Adds a note member to a chord
  • Bar Line: Adds a standard bar line
  • Paste: Pastes the contents of the clipboard at insertion point
  • Select All: Selects everything in the active staff
  • Staff Properties: Allows the properties of the active staff to be modified
  • Multi-point Controller: Adds a generic MIDI controller
  • Instrument Patch: Adds a change of instrument
  • Styled Bar Line: Adds special bar lines
  • Clef: Adds a bass or treble clef
  • Dynamic: Adds dynamics such as ppp or mf
  • Dynamic Variance: Adds dynamic variance, such as crescendo
  • Flow Direction: Adds flow direction symbols such as To Coda
  • Key Signature: Adds a key signature
  • Performance Style: Adds a performance style, such as Legato
  • Special Ending: Adds special endings
  • Sustain Pedal: Adds sustain pedal symbols
  • Tempo: Adds tempo designations
  • Tempo Variance: Adds tempo variances, such as fermata and accel.
  • Text: Adds a text expression of your choice
  • Time Signature: Adds a time signature designation


Editor Context Menu Commands (Selection Present)

The following commands are available in the notation editor when one or more notation items are currently selected in the active staff. These can be accessed either by: hitting the right mouse button (on a two or three button mouse), or by pressing the Menu key on the computer keyboard. After this action, the appropriate notation editor context menu pops up with the choices below:

  • Cut: Cuts the selection to the clipboard
  • Copy: Copies the selection to the clipboard
  • Copy Special: Copies the portion of the selection that fits on screen to the clipboard as a graphic
  • Clear: Clears the selection (no effect on clipboard)
  • Last User Tool: Used to repeat the most recently executed user tool on the selected notation
  • User Tool: Used to run your own custom tools/commands on selected notation
  • Selection: Edits the current selection (opens appropriate dialog)
  • Beam: Beams the note flags of the selected notes
  • Triplet: Turns the selected notes into a triplet
  • Accent: Toggles the accent attribute of the selected notes
  • Dot: Marks subsequent notes and rests as having a dotted duration
  • Double-Dot: Toggles the double dot attribute
  • Slur: Slurs the selected notes
  • Staccato: Toggles the staccato attribute of the selected notes
  • Tenuto: Toggles the tenuto attribute
  • Tie: Marks subsequent notes as being tied to the next note
  • Stem Up: Toggles the upward stem attribute
  • Stem Down: Toggles the downward stem attribute


Playback problem description/diagnosis

The first thing to note is that sound cards support a variety of sound generation methods. For starters, the audio out from a CD player may be run through the amplifier in your sound card to generate sound. In addition, almost all sound cards include a digital audio section that works with audio samples, such as *.WAV files. Neither of these sound types are MIDI sound. Your card, and your Windows system, must be configured for MIDI, whether by you, or an installer provided with your card.

When setting up NWC for MIDI, it is important that your system already be configured for MIDI support via a sound card or MIDI interface. In most cases, you need to make sure that MIDI synthesis is supported by the card, and is operational within Windows. You can test to see if MIDI is supported by your system by doing the following:

  1. Open the Windows Media Player program
  2. Open the "CANYON.MID" file, which comes with Windows and should be in your \WINDOWS directory (or \Windows\Media is you are using Windows 95).
  3. Press the play button

If no sound is heard, or some other problem prevented play back, then MIDI is not properly setup on your system, or it is not supported. If sound is heard, then NoteWorthy Composer 2 should be able to play back files on your system.

If it failed, you may need to re-install the software that came with your sound card. If this does not work, you may have a IRQ or DMA conflict in your system. Many sound cards provide a diagnostic utility that can help you solve problems like this. Please refer to your sound card's instructions for additional details.


Customize Toolbars

This window is used to customize the command toolbars available in the program. Using this window, you can:

  • Add a new toolbar
  • Remove an existing toolbar
  • Change the name of an existing toolbar
  • Add new command to an existing toolbar
  • Rearrange the commands included in a toolbar
  • Reset the toolbars to the factory default

All changes to the toolbars are saved in the file nwc2toolbars.dat in the Config folder. The Config folder must be writable in order for the customizations to be saved for future sessions.

See Also

  • List of Toolbar Buttons
  • View Toolbars
  • View Menu Commands


Experimental Features

Occasionally, the program will include one or more experimental features that are hidden during normal operation. If a file that uses an experimental feature is opened, then the experimental features become available. Before using an experimental file, please read the following:

Any experimental features enabled by an experimental file are not guaranteed to behave in the same manner in future versions of the program. Experimental features are provided for experimental purposes only. You may use them, but we strongly recommend that their use be kept to a minimum in order to avoid future conflicts with later versions of the program. This is because the experimental features may be changed, or even removed, in the next release of the program.

If you elect to work within an experimental file, you are doing so at your own risk.


Import Instruction Dialog

This dialog allows you to set the properties that will be used in the MIDI import process. The import instruction options allow you to control the following aspects of the import for the staff associated with this instruction:

  • The

    Track Number

    This field specifies the track number that will be imported into a music staff.
  • The

    Note Range

    These two boxes are used to control the note range that will be imported into the staff. Notes above or below this range will be ignored. The ranges are listed as MIDI note pitches, which are a combination of note name followed by the octave.
  • The

    MIDI Channels

    This is a list of all the MIDI channels that will be imported into this staff. All channels that are marked will be imported together into the new staff. All channels that are not marked will be ignored.

  • Conversion of sustain pedal marks

    When opening a MIDI file, the program can convert sustain pedal events directly into standard music notation. This option enables this conversion. In many cases, it is desirable to disable the automatic inclusion of this data, since it can detract from the overall visual quality of the final score.

  • Conversion of patch changes

    When opening a MIDI file, the program is capable of embedding sound patch changes into the final notation data. The first sound patch encountered in a track is automatically placed into the track data associated with the track performance information. This option enables all patch changes found in a track to be opened and included in the final music notation.

  • Automatic note beaming

    When opening a MIDI file, the program will automatically beam any adjacent notes smaller than a quarter note that appear in the same beat of a measure. If you wish to do the note beaming manually, you can disable this option.

  • Detection of compound time

    When opening a MIDI file, the program will automatically detect compound time signatures in a MIDI sequence when this option is enabled. When disabled, any time signatures encountered in the sequence are assumed to be simple time. This influences how the musical beat in a score is emphasized when converting note events into notation. For example, when this option is enabled, a sequence in 9/4 time will use a dotted half note as the beat when the beaming function is performed. If the option is disabled, that same sequence would use a quarter note as the beat when the beaming function is executed.
  • The

    note resolution

    The note resolution value specified here influences how note events in the sequence are converted into music notation. Smaller note values allow more complex sequences to be notated correctly. Larger note values tend to simplify the resulting notation, but may not adequately represent the original musical sequence.
  • The

    rest resolution

    The rest resolution option can be used to control the overall placement of rests within the score. Larger note values here will result in fewer rests being placed in the imported score. Smaller rests may still be used in order to preserve the sequence of note on events, but smaller rests will not be used to create staccato effects.

See Also

  • Staff Menu Commands
  • Notes Menu Commands
  • Insert Menu Commands
  • Tools Menu Commands


FAQ: Pickup notes in bar line audits

If you want to use Tools, Audit Bar Lines to check your bar alignment and have a pick up note, you need to isolate the pick up note before doing the audit. You can isolate the note by placing a double bar line or section close (Insert: Bar Line Decorated) after the note instead of a single bar line. Then run the audit. When the audit is complete, replace the double bar line with a regular bar line.


FAQ: Forming a note beam or triplet

You must select a proper sequence of notes for the commands to become active. For example to beam notes, you must have at least two flagged (ex: eighth) notes selected (highlighted). Once selected, the beam icon will become available as well as the ability to use the quick key Ctrl+B. Clicking the beam icon will beam the selected notes.


FAQ: Changing the key signature

It is easy to change the key signature of a staff, as follows:

  1. Use Tools: Force Accidentals to assign an accidental to each note.
  2. Select the key signature, and change it using Alt+Enter (Edit Properties). If no key exists, then use Insert: Key Signature (or K) to enter a key signature at the beginning of the staff.
  3. Select Tools, Audit, Audit Enharmonic Spelling to update notes to the key.


FAQ: Creating a chord

For chord entry (notes vertically aligned and played at the same time):

  1. Enter the first note of the chord.
  2. Position the insertion point to the right of the note and at the pitch for the second note in the chord.
  3. Press Ctrl+Enter to place the second note in a chord with the first note.
  4. Repeat steps 2 & 3 to add more notes to the chord.

You can remove a chord member by positioning the insertion point to the right of the note to be removed and pressing Ctrl+Backspace. For more information on chords, search the NWC Help file for Chord Member Command.


FAQ: Connecting a staff with others

To connect your staves in an orchestral fashion or with a brace (as for piano), go to Staff Properties (F2) for each staff. Under the Visual tab, for Style, select Orchestral for each staff or Upper Grand Staff for the top staff and Lower Grand Staff for the bottom staff (for the brace).


FAQ: Edit an existing symbol

There is an easy way to edit anything that already appears on the staff, like the clef, key signature, tiem signature, tempo, or text. First, select (highlight) the item, then press Alt+Enter. The properties box for that item will appear for quick editing.


FAQ: Getting started

The best way to get started is to go through the tutorial that is included in the NWC User Guide, which can be found online at our web site, as well as on the NWC CD. The tutorial walks you through the process of creating one of the sample songs included with the program. By stepping through the tutorial, you learn the skills that will help you to create your own songs.

You can also visit the Getting Started section. This area will guide you in setting up for play back, creating new songs, and working in the score editor.


FAQ: Does NWC support karaoke (*.kar) files?

Karaoke files conform to the Official MIDI Specification, but include custom text formats for the inclusion of lyrics and other text. Karaoke files do not utilize the standard Lyric Meta Event for inclusion of song lyrics. Karaoke files use the general purpose Text Meta Event for inclusion of lyrics. NoteWorthy Composer will import lyric text events from a karaoke file as long as the file name has the correct *.kar file extension. The import uses the same procedure as described in "What is imported when a MIDI file has lyrics?", except the lyric text is derived from the Text Meta Event, rather than the official Lyric Meta Event.

On export to a MIDI file, NoteWorthy Composer uses the standard Lyric Meta Event for saving lyrics into a standard MIDI file. NoteWorthy Composer does not save files using the custom Karaoke File (*.kar) format extensions. It uses the standard defined by the Official MIDI Specification.


FAQ: Loop play

NoteWorthy Composer 2 does not have a loop play feature, When you play a song, it only plays it once. However, you can use our NoteWorthy Player program to get this result. This program is freely available from our web site.


FAQ: Skipping notes in a lyric

If you have a few notes or an entire section of notes that you do not want lyrics assigned to, use an _ (underscore) in the Lyric Editor (Ctrl+L) for each note you want to skip. For example, entering _ _ _ in for Lyrics will skip 3 notes. You can also select the notes that you do not want to have lyrics, press Ctrl+E or Alt+Enter, and under the Notes tab, set Lyric Syllable to Never.


FAQ: Creating a standard MIDI file

You can create a MIDI file from your song by selecting the File, Export command. Always save your performance as a NWC score file (*.nwc) first, because much of your visual notation information is lost when saving to a MIDI performance file.


FAQ: What is imported when a MIDI file has lyrics?

MIDI files can be imported into NoteWorthy Composer song files using the File|Open command. However, MIDI files are not notation based files. They generally contain raw performance data that represents exactly how a song should be played, but not really how it should be notated.

MIDI files can optionally include text events, including text identified as Lyric Text. Text that is included in a MIDI file is not associated with any particular note pitch or duration, and can appear anywhere in the file, even if no instrument/note performance data is present. Lyric text in a MIDI file simply identifies a chronological sequence of syllables that should be sung with the song, and the time at which each syllable should start to be sung. The actual length of time that each syllable is sung is not specified in the MIDI file (although it obviously does not extend beyond the start time of the next syllable). These syllables might correspond to note events that are also included in the MIDI file, but there is no rule that it must be this way.

So, what does this all have to do with NoteWorthy Composer? Well, since lyric text is not bounded/framed by any other MIDI performance data, NoteWorthy Composer imports each lyric track into a separate lyric-only staff when importing MIDI data into NWC format. Each lyric-only staff imported into NoteWorthy Composer has the following properties:

  • Each lyric syllable is attached to a fake, muted note that is added to the staff solely for the purpose of attaching lyric text (it does not sound during play back)
  • The staff itself is given only a single staff line, to make it clear that it is a vocal only track
  • Each lyric staff will be marked in a Lyrics group from File|Page Setup|Contents and Staff|Staff Properties|General, to make them easier to find and manipulate
  • All notation on the staff is set to Never show on the printed page, so only the lyric text will appear when printed
  • All fake notes entered on the staff will appear in hidden treble clef, although technically the notes themselves have no significance, except as a medium for attaching the lyric syllables found in the file (you can change the hidden clef without having any effect on the lyric staff)

In addition, NoteWorthy Composer will try to layer an imported lyric staff with the corresponding note data that matches the lyric. This does not always work very well, due to the inherent limitations described earlier in this article. NoteWorthy Composer uses the following scheme when layering a lyric staff with a notation staff during import:

  • first, the track where the MIDI lyric events are found is checked for MIDI note data
  • if MIDI note data is present, the list of NoteWorthy Composer import instructions are checked to see if any note data is being imported from this track
  • if multiple NoteWorthy Composer import instructions are found for this track, the first one is considered the source for a matching a notation staff for the MIDI lyrics found in the file
  • the notation staff generated from the import instruction is then layered with the lyric staff generated from the MIDI lyrics
  • if no matching import instruction is found, or no note events are in the track that contains MIDI lyrics, then the lyric staff will not be layered within NoteWorthy Composer; it will appear at the bottom of the score, after the notation staves

After an import is completed, you can try several things to improve the results of the lyric import. If the lyric staff is layered with the wrong notation staff, you can layer it with a different notation staff:

  1. turn off the layering option on the notation staff (press F2 while the notation staff above the lyric is active, then click the Visual tab, turn off option Layer with next staff)
  2. now, make the lyric staff active (which can now be easily done by clicking on it)
  3. now move the lyric staff around using Ctrl+Shift+Page Down/Up until it is under the notation staff that appears as though it represents the vocals
  4. lastly, you can optionally enable layering on the notation staff directly above the lyric staff so that the lyrics will appear to belong to this staff when printing or displaying in NoteWorthy Player

If you are feeling confident, you can also move the lyric text from the lyric staff over to the actual notation staff that you think corresponds to the lyric text:

  1. use Page Up/Down until the imported lyric staff is active
  2. open the lyric editor using Edit|Lyrics or Ctrl+L
  3. press Ctrl+Shift+End to highlight the entire lyric
  4. press Ctrl+C to copy all of the selected lyric text
  5. press Cancel to close this lyric editor
  6. activate the notation staff to which you want to add these lyrics (again, using Page Up/Down is an easy way to do this)
  7. open up the lyric editor for this notation staff
  8. on the Configuration tab, assign the Line Count field to 1 Lyric Line
  9. click on the Lyric 1 tab
  10. in the lyric text box, press Ctrl+V to paste the lyrics
  11. press OK to complete the job

You now have these lyrics attached to the notation staff. You will probably find that some tweaking of the lyrics and note properties will be required in order to match the lyric syllables with the correct notes on the staff. In some cases, this effort might be enough to convince you to use the layered lyric staff instead. If you decide not to keep the original lyric staff, you can remove it by making it active, then pressing Ctrl+D.


FAQ: Setting up a MIDI keyboard

To get MIDI keyboard input to work, here are a few things to try:

  1. Make sure your keyboard is MIDI capable.
  2. Make sure the cables are connected correctly. Some systems like MIDI In to MIDI In and some like MIDI In to MIDI Out. Even though there is a standard some do it the opposite.
  3. In NWC, Tools:Options, Record tab, make sure you have selected the In Port of your sound card. (You may even want to go through each selection and test).
  4. Make sure you are following the proper procedures for MIDI keyboard input - listed in the next 2 questions and answers.p

If you still cannot record, the problem is most likely the device driver for the input of your soundcard. You should re-install from the setup disk that came with your sound card. If this does not correct the problem, get the latest update driver software from your sound card manufacturer.


FAQ: Adding a second staff

When you open a new song file from a Blank template, there is one staff on the screen. To enter more staves use Staff: New Staff or the quick key Ctrl+A. The Staff menu is where you add, move and delete staves.


FAQ: Embed notation image in another application

If you are writing a paper on music or putting together a music test, you may want to insert parts of staves or songs from NoteWorthy Composer 2 into another application, like a word processor. To do this:

  • Create the staff section or song that you want to move to another application and save it.
  • With the file open, select the File, Print option or click the Print icon.
  • In the Print dialog box, click on Preview.
  • Click Copy.

In the 16-bit version, you have the option of copying to the clipboard or directly to a file (.bmp or .wmf). In the 32-bit version, after clicking Copy, the information will be place in the Windows clipboard automatically. The information in the clipboard is in Windows metafile (.wmf) format.

Tips: Some variables to change in the Print, Page Setup and Printer Setup commands for better bitmap (.bmp) performance:

  1. Printer: The higher the printer resolution, the larger the file, which requires more RAM for using the file. For example, if the printer is set for your laser printer and the bitmap cannot be created, select your fax software.
  2. Font size: If you will be placing the staff in a smaller area, selecting a smaller font size in NoteWorthy Composer 2 should give better results.
  3. Margins: If you only want the staff to take up 4 inches in width by two inches in height in the other application, go ahead and set those margins in NoteWorthy Composer 2.


FAQ: Moving an existing note

You can move one or more notes in a staff by selecting them, then using the Edit | Cut command to remove the selected notes and put them into the clipboard. You can then move the insertion point into the new location and select Edit | Paste to restore the notes in the spot.

You can also move selected notes up or down on the staff. For any selected note(s), Ctrl+Shift+(up/down arrow keys) will move the note(s) up and down on a staff.

You cannot move just one note in a chord. However, you can place your insertion point to the right of the chord member and press Ctrl+Backspace to remove the chord member.


FAQ: Why use a multi-point controller

An example may provide the best explanation. The file mpcex.nwc demonstrates the use of a multi-point controller for volume changes. When you play back the song, you can hear the volume fade in one area due to a multi-point controller and change instantaneously in another. Select the {mpc} symbol in the file and press Ctrl+E to see how the multi-point controller was set.


FAQ: Multi-measure rests

Multi-measure rests are not currently supported in NoteWorthy Composer 2. However, the following tips provide a good solution:

If your primary need is for printing, enter a whole measure rest. Then, with the insertion point to the left of the rest, select Insert: Text. In the Expression box, type |---- "a number for the number of measures to hold the rest" ----|. Set Display Font to Bold. Under Expression Placement, do not check Preserve Width and do set the Staff Position for 6. Click OK. This will place a | ---- x ----| over the whole measure rest, which now looks a lot like a multi-measure rest. If you do not like the vertical placement of the number, select the diamond beside the number, and press Ctrl+E to edit the Staff Position.

If you also need the multi-measure rest to play back, use Insert: Bar Line (Decorated), to insert a Local Repeat Open and a Local Repeat Close around the rest. When inserting the Local Repeat Close, enter the number of times to repeat the rest (measure).

You could also use both methods above and create a Print Group and a Play Group.


FAQ: Music terminology

The music terms in this glossary are available for use when notating with NoteWorthy Composer 2. Each term can be found in the Insert menu of NoteWorthy Composer 2 under the command matching the heading below. For example, Pianissimo is defined under the heading Dynamic. To use a Pianissimo symbol (pp) in NoteWorthy Composer 2, you would select the Dynamic command from the Insert menu.

Dynamics

Dynamics are terms or symbols that define the level in which the music is to be played. The dynamics listed below are in order from soft to loud.

Dynamic | Notated | Performed as
Pianissimo | pp | Very soft
Piano | p | Soft
Mezzo Piano | mp | Moderately soft
Mezzo Forte | mf | Moderately loud
Forte | f | Loud
Fortissimo | ff | Very loud

Dynamic Variance

Dynamic Variances are terms or symbols indicating change from soft to loud or loud to soft.

Name | Notated | Performed as
Crescendo | cresc. | Gradually play louder
Decrescendo | decresc | Gradually play softer
Diminuendo | dim. | Play to diminish (decresc)
Rinforzando | rfz | Play to reinforce
Sforzando | sfz | Play forcibly

Flow Direction

These terms are used to indicate the direction, or flow of play.

Name | Performed as
Coda | Tail/Marker for al Coda redirections
Segno | Sign/Marker for Dal Segno redirections
Fine | End play after a redirection
To Coda | Go to the Coda
Da Capo (D.C.) | From the beginning
D.C. al Coda | Play from the beginning to the Coda
D.C. al Fine | Play from the beginning to the Fine
Dal Segno | From the Segno
D.S. al Coda | Play from the Segno to the Coda
D.S. al Fine | Play from the Segno to the Fine

Performance Style

Performance style is the manner in which music is played. NoteWorthy Composer 2 does not generally change its play back style based on performance styles, except in the case of Legato/Tenuto.

Style Name | Intended Performance Change
Ad Libitum | Improvise as you wish
Animato | Animated
Cantabile | Allow for singing
Con brio | Animated
Dolce | Sweetly
Espressivo | Expressive
Grazioso | Gracefully
Legato | Smooth and connected
Maestoso | Majestically
Marcato | Marked
Meno mosso | Slower, less lively
Poco a poco | Little by little
Più mosso | Faster, more lively
Semplice | Simply
Simile | Similarly
Solo | Alone
Sostenuto | Sustained
Sotto Voce | Toned down voice
Staccato | Short and disconnected
Subito | Suddenly
Tenuto | Hold for full value
Tutti | All
Volta Subito | Turn quickly

Tempo

Tempo terms designate the rate or speed to play the music. The terms below are in order from slow to fast.

Name | Intended Tempo
Largo | Very slow
Larghetto | Slow, but not as slow as largo
Adagio | Slow
Lento | Slow
Moderato | Moderate
Andante | Walking speed
Andantino | A bit faster than andante
Allegretto | Moderately fast
Allegro | Fast, cheerful
Vivace | Lively
Presto | Fast
Prestissimo | Very fast

Tempo Variance

These terms and symbols denote a change in speed from slow to fast or fast to slow.

Name | Intended Change
Breath Mark | Pause, take a breath
Fermata | Hold longer
Accelerando | Increase speed
Allargando | Slow down
Rallentando | Decrease speed
Ritardando | Gradually play slower
Ritenuto | Hold back
Rubato | Freely
Stringendo | Hurry up


FAQ: Changing the clef

Notes can be changed from one clef to another, as follows:

  1. Select the clef, press Alt+Enter to change the clef properties, and change it as necessary.
  2. Press Home, then Shift+End, which selects the whole staff (you can also try this procedure on smaller selections, where appropriate by left clicking and dragging across the notes).
  3. Press Shift+Ctrl+Up/Down Arrow until the notes are at the proper position for the new clef
  4. Occasionally, you might need to press F9 to update the key signature.


FAQ: NWC duration names equivalency chart

The following chart shows the equivalent duration names to the names used in NoteWorthy Composer 2.

in NWC | English | Medieval
whole | semibreve | semibrevis
half | minim | minima
quarter | crotchet | semiminima
eighth | quaver | fusa
sixteenth | semiquaver | semifusa
thirty-second | demisemiquaver | --
sixty-fourth | hemidemisemiquaver | --


FAQ: Sharing your song files

If you want to share your song files with your friends, they can use our NoteWorthy Player program to play your songs on their computer. The player is available for free from our web site.


FAQ: Persistent toolbar buttons

Some of the note attribute buttons in the tool bar will reset after each note is entered. If you would prefer that they remain selected after entering a note, this is possible for some of the buttons. For example, if you will be entering more notes that are accented (Notes | Accent) than are not accented, use Persistent Note Tools command in the Tools menu to keep the Accent icon on.You can also click the Persistent Note Tools icon in the toolbar.


FAQ: Playing back one staff

If you only want one staff to play back, make the staff active and press Shift+F5 to play the active staff. If you want some staves to play and some not to play, use Tools | Mute List for quick access to setting the staves to mute or not mute.


FAQ: Preserve width

You will often see the option to Preserve Width in dialog boxes where text or symbols are being inserted in the staff. One example is Insert, Text. If you select to Preserve Width, the text will take up its own width on the staff and notes will start after the text. If you do not select Preserve Width, the text will not take any width on the staff. In this case, text placed at the top of the staff will allow notes to be entered under the text. If you do not Preserve Width, the symbol or text you are entering will appear with a diamond beside it. Since the item has no width of its own, the diamond gives you something to select for editing or deleting. The diamond will not appear in your prints.


FAQ: Recording a live MIDI performance

If you have a MIDI keyboard and the necessary MIDI cables and equipment for your computer, you can capture a live performance and have it notated all within NoteWorthy Composer 2. This is setup as follows:

  1. Tools: Options, Record tab
  2. If not set, select the Input Device Driver for your system
  3. Under Import Options, select the placement of the completed notated recording
  4. Click OK
  5. Use File: New to access a rhythm template to use as background play for the record feature
  6. Tools: Record (F4)
  7. Play your MIDI keyboard
  8. F6 to stop recording (or recording will stop at end of background song)
  9. Recording will appear where you set it in Import Options

The performer must synchronize the playing of the keyboard with the tempo that is played by NoteWorthy Composer 2. This is how the program figures out the duration of each note when converting the performance to notation.


FAQ: Step entry using a MIDI keyboard

If you have a MIDI capable keyboard, soundcard, and the necessary cable connections, you can enter notes at your own pace from the keyboard. This is usually referred to as step time entry from a remote keyboard, and can be setup as follows.

  1. Tools: Options, Record tab
  2. If not set, select the Input Device Driver for your system
  3. MIDI tab - set MIDI Port Usage to While Active or Always
  4. Tools: MIDI Input Active

You can now use the MIDI keyboard will enter the pitch of a note or chord,and the pitch bend wheel can be used to set with the note duration prior to entering the pitch.


FAQ: Faster note entry

Use the computer keyboard, or piano bar control, as much as possible. Using the computer keyboard, most commands and actions have a shortcut. For example, standard bar lines can be entered by pressing the Tab key. Look through the Keyboard Guide for a listing of all the keyboard shortcuts.


FAQ: Adding more space between staves

Click on the staff you want to add more space around. Press F2 to bring up the Staff Properties dialog box. Under the Visual tab, use the Vertical Size -- Upper and/or Lower settings. Increasing the Upper setting provides more space above the staff. Increasing the Lower setting gives more space below the staff. Do this for any staves you need more space around.


FAQ: Control over note spacing

The command File: Page Setup, Options tab allows you to toggle the setting "Increase note spacing for larger note durations." To adjust the spacing around one note, select it, press Ctrl+E or Alt+Enter, edit Extra Note Spacing.


FAQ: Playing notes you just entered

Pressing F5 or Tools, Play will start play back. However, you can set where you want play to begin each time. Select Tools, Options and click on the MIDI tab. Under Play Options, you can select play to start from the beginning, from the current measure, from the insertion point or from several other choices.


FAQ: Stuck notes on play back

When this occurs, the quick fix is to hit the Stop button twice. The second Stop command will cause Note Off events to be sent for all notes on every MIDI channel for every selected device.

As for the cause, there are two possibilities:

If you are using flow directions, be careful when a note is tied when entering a flow direction. The tied note must resolve to the same note in all sections that receive the note tie. For example, if a note tie extends into a special ending, if you do not resolve the note tie in one of the special endings, then the tied note will be "stuck".

Secondly, if you play a score which includes the Sustain Pedal markings, and Stop the play back while the pedal is down, the "pedal down" effect remains for that MIDI channel even after you start play back again. This can cause stuck notes when play is selected again. If this is the cause, the easiest solution is to hit the Stop button twice.


FAQ: Linear sweep in a multi-point controller

The Linear Sweep Contour defines how large a change to the controller value will be considered significant. In the case of pitch bend, where the value can be swept over thousands of values, each and every change of only 3 or 4 is not very important. In this case, you might use a value of 100, or even more, depending on how smooth you wish the pitch bend to be. This allows NWC to lean out the number of control changes sent to the MIDI device, which can significantly improve performance.

Think of it like this. If you started at 0 and wanted to count out loud to ten thousand (10000) in 2 minutes, then:

  • Using a contour setting of 1, you would count like this: "1, 2, 3, 4, 5, 6, 7, 8, 9..." all the way to 10000, and you would have to speak very fast to finish in 2 minutes.
  • Using a contour setting of 100, you would count: "100, 200, 300, 400, 500..." all the way to 10000, and you would probably not have any trouble finishing in 2 minutes.

The same is true in an MPC. A higher contour value makes it easier for the program to change the value from the value of 1 up to the value of 10000.


FAQ: Create your own templates

You can change the templates provided in NoteWorthy Composer 2 and save them as new templates:

  1. Open the rhythm that you want to change
  2. Change the template as you want
  3. Select File | Save As
  4. Save file under Template, Rhythm as whatever name you want
  5. Now you have a new template the way you want it
  6. When you enter Ctrl+N, you template will be there

You can also create a brand new template:

  1. Create your song file
  2. Select File | Save As
  3. Save under Template, Rhythm or Custom


FAQ: Moving the toolbars

NoteWorthy Composer 2 has dockable tool bars. You can move them to one side, to the middle of the screen, or any other place on the screen that is best for you. To move a tool bar, left click and hold inside its border, drag it to where you want to place it and release the mouse button. To vertically align the tool bar, drag it one side of your screen.


FAQ: Notation symbols are only partially displayed

This is a problem with your printer or display driver. The solution is to get a corrected version of your printer or display driver that does not exhibit this behaviour.

If your manufacturer does not offer a driver that corrects this bug, you may want to try another option. You can add the OutlineThreshold option to your WIN.INI file under the [TrueType] section, as shown below:

[TrueType]
TTEnable=1
;
; The OutlineThreshold option can sometimes be used to get the
; NoteWorthy Composer music font to be fully displayed by a
; buggy graphics display driver
OutlineThreshold=32

This sometimes will work around the display driver bug, but it also causes some display distortion on many types of equipment.


FAQ: Error Insufficient Memory

If you really have enough memory (4 Meg recommended), the problem is most likely a corrupted file. There is a good chance that reinstalling from the same *.exe file will fix the problem. It would be best to download the setup program again from our web site and reinstall the program from the new download.


FAQ: Problems with play back

The first thing to note is that sound cards support a variety of sound generation methods. For starters, the audio out from a CD player may be run through the amplifier in your sound card to generate sound. In addition, almost all sound cards include a digital audio section that works with audio samples, such as *.WAV files. Neither of these sound types are MIDI sound. Your card, and your Windows system, must be configured for MIDI, whether by you, or an installer provided with your card.

When setting up NWC for MIDI, it is important that your system already be configured for MIDI support via a sound card or MIDI interface. In most cases, you need to make sure that MIDI synthesis is supported by the card, and is operational within Windows. You can test to see if MIDI is supported by your system by doing the following:

  1. Open the Windows Media Player program
  2. Open the "CANYON.MID" file, which comes with Windows and should be in your \Windows\Media directory (or \WINDOWS if you are using Windows 3.1).
  3. Press the play button

If no sound is heard, or some other problem prevented play back, then MIDI is not properly setup on your system, or it is not supported. If sound is heard, then NoteWorthy Composer 2 should be able to play back files on your system.

If it failed, you may need to re-install the software that came with your sound card. If this does not work, you may have a IRQ or DMA conflict in your system. Most sound cards provide a diagnostic utility that can help you solve problems like this. Please refer to your sound card's instructions for additional details.


FAQ: Text getting cut-off in printout

NoteWorthy Composer 2 adds the print margins to the edge of the paper. It does not add the print margins to your printer's unprintable area.

It is an option of the printer whether to send information to the application noting the printer's unprintable area and the print start point. NoteWorthy Composer 2 may not be receiving this info from your printer and that is why Print Preview may show the copyright info on the page and then it does not print.

This can be corrected by increasing the margin in File | Page Setup.


About Command

This displays a dialog box showing the current version of NoteWorthy Composer 2 and the pertinent copyright statement.

See Also

  • Help Menu Commands


Refresh Staff

This command is used to refresh the currently active staff. This is sometimes necessary if the staff has not been redrawn properly, although this is usually unnecessary. This command is sometimes faster than the primary refresh command, which scans the entire score for possible corrections.

See Also

  • View Menu Commands


Selection Command

Notation Properties Command

This command is automatically executed when the Edit | Properties command is selected for one or more selected items on the staff. A series of property tabs matching the selected items is shown on the screen. These tabs give you the opportunity to change one or more attributes of the selected items.

One or more of the following property tabs could be shown, depending on the selection:

  • Clef Properties
  • Key Signature Properties
  • Time Signature Properties
  • Bar Line Properties
  • Special Ending Properties
  • Tempo Properties
  • Tempo Variance Properties
  • Performance Style Properties
  • Flow Direction Properties
  • Dynamic Properties
  • Dynamic Variance Properties
  • Sustain Pedal Properties
  • Instrument Patch Properties
  • Multi-point Controller Properties
  • Text Expression Properties
  • Expression Placement Properties
  • Note Properties
  • Rest Properties
  • Visibility Properties
  • Statistics (future use)

See Also

  • Edit Menu Commands
  • Insert Menu Commands


Command Reference

The following are references for the various components included in the NoteWorthy Composer 2 application:

Command Reference:
All of the menu commands that are available and what they do.

Keyboard Reference:
Keystrokes that will speed the score creation process.

Toolbar Reference:
Shows and describes the icons on the tool bars.


Child Windows List

The first nine songs that are open can be activated from this list. Once selected from this list, that file becomes the active window. You can also activate any open file from the Status Bar’s list of open files.

See Also

  • Windows Menu Commands
  • View Status Bar


More Windows Command

When more than nine files are open, this command becomes available. This command presents a dialog where other score editor windows can be activated. You can also activate any open file from the Status Bar’s list of open files.

See Also

  • Windows Menu Commands
  • View Status Bar


Help Menu Commands

The commands in this menu are dedicated to providing version/license information and convenient access to important components of this help file.

See Also

  • Getting Started
  • Command Reference
  • Common Questions
  • Getting Support


Bar Line Properties

Bar line properties include:

  • Style

    This designates what kind of bar line will appear in the staff.

  • Force System Break (Top Staff Only)

    When selected for a bar line that appears in the top staff of a system, this option will force a new system to be started, starting with the next measure.

    Note: This option only has an effect when used with bar lines in the top most staff of the system. It is ignored when it appears on bar lines in lower staves.

  • Exclude From Bar Count

    This option can be used to prevent a bar line from adding to the running measure count.

  • Repeat Count (local repeats)

    When the bar line style is a Local Repeat Close item, you must also set the repeat count for the local repeat using this box. This is the number of times that the music will repeat between the open and close repeat bar lines.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Clef Properties

The

clef type

Chose the type of clef that you want to use from the drop-down list. Treble, bass, alto, tenor, and percussion clefs are all supported from within this box.
is specified from this property page. You can optionally apply an

octave shift

You can apply an octave shift to the clef using this box. You can elect to have notes played an octave up or down from the standard pitch associated with the selected clef.
to the clef, which will cause any subsequent notes to be applied an octave above or below their standard pitch.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Dynamic Properties

Performance dynamics control the MIDI note velocity and MIDI channel volume. The properties that can be set for dynamic changes include:

  • Style

    Use this box to specify the dynamic that should be used at this position on the staff.

  • Custom Note Velocity

    Use this checkbox and value box combination to force a custom MIDI note velocity, rather than the default velocity assigned to the selected dynamic. MIDI note velocity controls how hard a note is struck (or blown for wind instruments). By default, the velocity is set by the Instrument definition, but it can be overridden here.

  • Change Channel Volume

    Use this checkbox and value box combination to change the current MIDI volume for the MIDI channel associated with the staff. By default, no changes are made to the channel volume when a dynamic expression is inserted into the staff. An override volume must be set for the volume to change. If you are using Cresc/Decresc dynamic variances with the dynamic, you may want to use volume overrides to achieve a smoother volume swell over the variance.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Dynamic Variance Properties

The properties for the selected note can be set from this box. options that can be changed from this property page include:

  • Style

    Select the variance style that you want to include in the staff from the items in this drop-down list.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Flow Direction Properties

Flow direction properties include:

  • Style

    This box is used to set the type of flow direction that should be used.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Instrument Change Properties

Instrument properties include:

  • Patch Name

    This is a name for the instrument specified by the other fields. This can be anything, but it is helpful if the name describes what sound is expected by the specified properties. This name will also appear in the staff when an instrument change is inserted into the staff notation.

  • Predefined Instruments

    You can select from a list of predefined instruments using this button.

  • Send Patch

    Select the Send Patch box if you want to select a specific MIDI patch number that will be sent to the MIDI synthesizer. The patch number starts at 0, and goes up to 127 (it is zero based). If you have an external synthesizer that displays patch numbers, these might start at 1 (it is one based), so you might have to subtract one from the number on the display when used here.

    The easiest way to select a patch number is by using the Predefined instruments button. You can then select the instrument by name, rather than number.

    Note: If the current staff is sharing a MIDI channel with another staff, then only one of the staves should send patch number information.

  • Bank Select

    MIDI synthesizers will often support a variety of instrument banks, each containing different groups of instrument sounds. Select the Send box to specify a specific bank of sounds. The MSB field specifies the value for MIDI Controller 0, and the LSB field specifies the value for MIDI Controller 32.

    These controller values will then be sent to your synthesizer. Consult your synthesizer manual if you think it supports multiple patch banks and you want to use this feature.

    Note: If the current staff is sharing a MIDI channel with another staff, then only one of the staves should send bank select information.

    options

  • Default Dynamic Velocities

    When dynamics are entered on the staff, they are mapped to MIDI note velocities, unless the dynamic overrides these values. The velocity values that are most appropriate for this instrument should be assigned here, so that dynamic changes in the staff will sound as you intend.

  • Transposition

    If this instrument is based on a real world instrument, you can use this setting to make the notes play back in the same pitch as the real world instrument. For example, if the staff is notated for a trumpet in Bb, you would enter a value of -2 in this box.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Key Signature Properties

A key signature can specified either by selecting its name from the predefined signature list, or by manually selecting the sharps and flats and creating a User Defined key signature. The specific option controls include:

  • Predefined Key Signature List

    In most cases, you will want to use a standard key signature from this list. Select User Defined if you want to enter the sharps and/or flats yourself manually in the definition area below.

  • User Defined Key Signature

    This area shows the sharps and/or flats that are included in the key signature. If you have selected User Defined from the list above, you can enter your own key signature here.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Multi-point Controller Properties

Multi-point controller properties include:

  • Controller

    This is the type of performance parameter that you want to control. The actual change in this parameter is implemented by the remaining fields.

  • Style

    You can set up to 4 control points with different values, which is used to vary the controller value over time. This field allows you to specify the algorithm that will be used to vary the controller between the different control points. You can use:

    Absolute: Only the specific values at specific times will be performed

    Linear Sweep: Changes between the control points will be changed gradually over the time specified

  • Time Resolution

    The numeric values that you place into the Time Offset field for each control point are relative times. They are converted to absolute musical intervals by multiplying them by the time multiplier specified in this box.

  • Sweep Resolution

    This field can be used to control how dense a series of control changes will be when the Linear Sweep control change style. The larger the value you use, the fewer actual control changes will be used during the linear control sweep. This is most useful for pitch bends, as a very large number of control changes are possible when sweeping the pitch over its full range, thus sometimes overflowing the MIDI data stream.

  • Setting Enable Checkboxes

    This lower area of the dialog is used to define up to four control points. The first point is automatically enabled, so there is not an enabling checkbox. These three check boxes are used to enable the remaining control points. When a check is next to a control point, it is considered active, and will cause a change in the performance parameter equal to the controller value set to the right.

  • Time Offsets

    The time offset for each control point gets multiplied by the Time Offset Multiplier field and then added to the current song position. This is how you specify when the control point should be initiated. Each control point's time offset is added to the previous control point's event time. This means that Setting 3 will always occur sometime after Setting 2, and so on. The time offsets do not change when particular notes are played that follow after the controller item in the staff, so one controller item can influence a series of note events.

  • Controller Value Sliders

    These scroll bars are used to control the value associated with the corresponding control point. The range of the control point varies with the type of controller that has been specified.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Expression Placement Properties

Text and symbol expressions have alignment and placement options that are controlled from this property page. Placement options include:

  • Staff Position

    This value controls the vertical position of the item on the staff. The value is in staff units, which is half the distance between each horizontal line in a staff. A value of 0 is the vertical center of the staff. Negative values move the item downward on the staff, and positive values move it upward.

  • Preserve Width

    Check this box if you want this item to occupy space in the staff. If this box is not checked, the item will not reserve space for itself in the staff. This can be used to avoid blank spots or large gaps in the score. When an item does not reserve space for itself, an anchor will appear in the editor showing the origin of the item. The visible anchor in the editor also allows you to select the item and subsequently edit its properties. The anchor will not appear in a printout.

  • Justification

    This field is used to control how the item is justified within its space on the staff. This can be especially useful when the item does not preserve its width. It might also be useful when the item uses best fit placement and is allocated additional space on the staff during note alignment.

  • Alignment/Placement

    This field controls how the text or symbol expression will be inserted and aligned in a multi-staff system. Options include:

    best fit: The item will be placed in the system in the most efficient way possible. It will tend to stay near the note, bar, or signature that precedes it, unless obstructed by a prior item.

    best fit forward: The item will be placed in the system in the most efficient way possible. It will tend to stay near the next note, bar, or signature that appears after it in the staff.

    as a staff signature: The item will be treated as a staff signature. It will be aligned in the system with any other signature item appearing in other staves at the same horizontal position.

    at next note/bar: The item will be shifted forward such that it appears at the start of the next note or bar line. In the editor, a dashed line to the anchor position will be shown.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Statistics Properties

The statistics property page is reserved for future use.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Visibility Properties

The visibility properties apply to all items that can be added to a staff. The visibility options include:

  • Show on printed page

    If this item is for MIDI performance only, then you can elect to hide it when printing using this field. The possible values are:

    Default: The item will not appear in the final printout if it is generally not appropriate to do so.
    Always: The item will always appear in the final printout.
    On Top Staff: The item will appear in print only if it is contained in the top staff of the system.
    Never: The item will never appear in print.

  • Item color

    This allows the color of the item to be changed to one of the predefined highlight colors. The highlight colors are set from the Tools | Options command, using the Color property tab.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands
  • Tools | Options | Color


Color Options Dialog Tab

This tab allows the editor colors to be set, as well as the color of various notational elements. The highlight colors can be utilized via the staff notation Visibility property.

The following color options are available:

  • Printer Default: Any notational elements that do not explicitly set a color will use this color when printed.
  • Staff Label Panel: This is the background color used for the staff label panel shown on the left side of the editor.
  • Edit Background: This is the primary background color used in the notation editor control.
  • Active Background: This is the background color used in the area that surrounds the currently active staff.
  • Active Staff: This is the color that will be used for the active staff in the editor, unless the staff color has been changed in Staff Properties.
  • Inactive Staff: Any staff that is not active in the editor will use this color, unless the staff color has been changed in Staff Properties.
  • Active Hidden Notation: Notation that will not appear in print will be shown with this color while active in the editor.
  • Inactive Hidden Notation: Notation that will not appear in print will be shown with this color while inactive in the editor.
  • Play Highlight: Notes will be highlighted in this color as they are played.
  • Highlight Colors: Miscellaneous colors that can be assigned to staff elements via their property interface.

See Also

  • Edit Menu Commands
  • View Menu Commands
  • Tools Menu Commands


Editor Options Dialog Tab

This tab contains a variety of options that control the operation of the editor, including:

Rt Mouse Sets Insertion Pt

This checkbox is used to control how a click of the right mouse button is treated by the staff notation editor. If you check this box, the editor will re-position the insertion point when you click on the right mouse button. When not check, you must use the left mouse button to first position the insertion point, and then the right mouse button can be used to add notation items. Note that when notation is selected, a right mouse click never re-positions the insertion point, thus leaving the selection present.

Smart Insertion Point

This checkbox is used to control how the insertion point is positioned in the score editor. When checked, the insertion point will generally track to the right side of any notes or rests on the staff. When not checked, the insertion point aligns along the transparent vertical grid that aligns all notes and rests in the current score.

Ignore Transpose on Midi In

This checkbox controls how incoming MIDI events are converted into notes when the currently active staff is using an instrument with transposition. If disabled, incoming MIDI notes will be added to the staff exactly as they sound on the staff. For example, in order to add a C4 note into a Bb trumpet staff, you would need to press the Bb3 key on the piano, since the trumpet triggers a two semitone transposition to its Bb tuning. When enabled, you can enter notes onto the staff from the piano keyboard, or a remote MIDI device, and the notes will be placed onto the staff without applying the transposition settings of the current instrument. This means that you can enter a C4 note onto the staff by pressing the C4 key on the piano, even if the current instrument is a Bb trumpet (with a transposition of -2).

Smart Properties Insert

This option controls how placement and visibility properties are set for new items inserted into the staff.

When enabled, the Visibility properties for new items are automatically configured with default settings.

The Expression Placement properties are set by finding a similar item elsewhere in the staff, and then using it as a basis for positioning the new item. If a similar item is not found, the program decides on the placement properties based on reasonable defaults.

If the properties need to be changed, the new item can be selected after it is entered, and all properties can be adjusted as necessary.

When disabled, all available properties for new items must be set manually. The properties are initially set to whatever was used the last time this kind of item was added.

Small Expression Anchor

This option changes the editor's expression anchor into a smaller diamond shape. Advanced users may find the smaller diamond to be easier to work with in the editor than the larger anchor symbol.

Chase Playing Notes

When enabled, the editor will follow and highlight notes while they are being played by the program, including in the built-in piano control. When disabled, a song is played without being followed by the program. Finally, when the note chase is disabled, you can continue to edit the song in the editor. Your changes will not have any audible effect, however, until you stop and restart play back.

Undo Levels

This is used to control how many levels of Undo will be maintained while you work in the editor. You can have as many as 100 commands saved for possible undo. The more levels of Undo that you specify, the more memory will be required by NoteWorthy Composer 2 while you are editing. Keep this in mind while setting this value. Also, please note that changing this value will clear the current Undo buffers in all open windows.

Extra Margin Spacing "Above"

This sets the amount of empty top margin space used in the editor. Larger values make it easier to see elements in a staff that are located farther above the top staff in the system. Smaller values reduce the amount of empty space shown at the top of the score while working the editor.

Extra Margin Spacing "Below"

This sets the amount of empty space included under the score system shown in the editor. Larger values make it possible to scroll down to see elements in a staff that are located farther below the last staff in the system. Smaller values reduce the amount of scrollable space shown at the bottom of the score while working the editor.

See Also

  • Edit Menu Commands
  • Tools Menu Commands


File Options Dialog Tab

The following options are available for controlling the file handling operations of NoteWorthy Composer 2:

  • Create Backup Files

    This box is used to indicate whether backup files (*.BAK) are generated on a Save operation. When enabled, any time a composition is saved, an equivalent *.BAK file is generated for the score that preserves the previous version of the file.

  • Auto save/recovery

    You can turn the automatic save feature on and off using these fields. When enabled, your files will be automatically saved as you work on them. This can protect your efforts if you forget to periodically save a file on your own as you work on it. The length of time between automatic save operations can be controlled by the frequency field, which is time in minutes.

  • Restrict Experimental Features

    When enabled, only score files that already utilize an experimental feature will be given access to the experimental features of the product. When disabled, the experimental features will be available all of the time.
    (this option is only available when experimental features are present in the product)

  • Export per track signature

    When saving to a Type 1 MIDI file, this checkbox is used to control whether Save places key and time signatures in the track or staff where they exist as well as the conductor track. Some applications complain if they detect signature data in a track other than the conductor track.

  • Header Info

    When saving to a MIDI file, this box is used to control whether the MIDI file will include such items as song title and author information. Some commercial MIDI and notation applications have trouble handling this kind of information when it is present in the conductor track of a MIDI file. It sometimes causes the program to assume that there is not a conductor track in the file. With this box, you can configure this in one of three ways:

    Exclude: Disables all of this kind of information in a MIDI file

    Track 0: Places this information in the conductor track

    Track 1: Places this information in the first sequenced track after the conductor track (only applies to the Type 1 category of standard MIDI Files, Type 0 files will not contain this information)

  • Use Import Wizard on Open

    This box enables the use of the MIDI file import wizard when an *.mid file is opened. When this is not checked, the File Open command will simply open the file using the default options specified in the Import tab of Options.

See Also

  • Tools Menu Commands
  • File Menu Commands


Folders Options Dialog Tab

The following options are available for controlling the file location settings in NoteWorthy Composer 2:

  • File Type List

    This list summarizes the default folder locations that can be changed.

  • Modify Button

    Use this button to change the location for one of the folder locations.

See Also

  • Tools Menu Commands
  • File Menu Commands


Import Options Dialog Tab

The following options are available for controlling the MIDI import operations of NoteWorthy Composer 2:

Notate Options

  • Notate Pedal Marks

    When opening a MIDI file, the program can convert sustain pedal events directly into standard music notation. This option enables this conversion. In many cases, it is desirable to disable the automatic inclusion of this data, since it can detract from the overall visual quality of the final score.

  • Insert Instrument Changes

    When opening a MIDI file, the program is capable of embedding sound patch changes into the final notation data. The first sound patch encountered in a track is automatically placed into the track data associated with the track performance information. This option enables all patch changes found in a track to be opened and included in the final music notation.

  • Automatic Beam

    When opening a MIDI file, the program will automatically beam any adjacent notes smaller than a quarter note that appear in the same beat of a measure. If you wish to do the note beaming manually, you can disable this option.

  • Detect Compound Time

    When opening a MIDI file, the program will automatically detect compound time signatures in a MIDI sequence when this option is enabled. When disabled, any time signatures encountered in the sequence are assumed to be simple time. This influences how the musical beat in a score is emphasized when converting note events into notation. For example, when this option is enabled, a sequence in 9/4 time will use a dotted half note as the beat when the beaming function is performed. If the option is disabled, that same sequence would use a quarter note as the beat when the beaming function is executed.

  • Note Resolution

    The note resolution value specified here influences how note events in the sequence are converted into music notation. Smaller note values allow more complex sequences to be notated correctly. Larger note values tend to simplify the resulting notation, but may not adequately represent the original musical sequence.

  • Rest Resolution

    The rest resolution option can be used to control the overall placement of rests within the score. Larger note values here will result in fewer rests being placed in the imported score. Smaller rests may still be used in order to preserve the sequence of note on events, but smaller rests will not be used to create staccato effects.

Track Splitting Options

  • Separate MIDI channels

    This option is used to control whether each MIDI channel found in a MIDI track will be mapped into a new staff. When set, a new staff will be created for note events occurring in each MIDI channel that is present. When not set, all note events will be treated together in the conversion to a notated staff regardless of their MIDI channel.

  • Maximum single track chord size

    This option is used to enable automatic splitting of MIDI tracks into two staves. The value in this box is semitones. Whenever a group of simultaneous note events span a semitone interval larger than this value, the performance will automatically be split into two staves during import.

See Also

  • Tools Menu Commands
  • File Menu Commands


Midi Options Dialog Tab

The following fields are included in this tab for controlling various MIDI options:

Available play devices

This is all the devices that are not currently being used for play back. You can move any device to the "used list" by double clicking it.

Devices used by play back

This is the devices that can be used during play back, in the order that they will appear in device selection boxes, such as the one associated with each staff. You can remove a device from this list, thus restoring it to the list of available devices, by double clicking it.

Start Countdown

This box controls the count down, in seconds, that is used before play actually begins.

Play notes on entry

This controls whether new notes are played as they are entered from the computer keyboard.

Play

This box controls where the program starts the play back of an active score. You can elect to always start playback from the beginning of the score, or several places closer to the current insertion point.

Port Usage

This box controls when MIDI devices are in use by the program. This is important if you are using other MIDI applications at the same time as NoteWorthy Composer 2. The following variations are available:

  • While Active: The MIDI devices will only be open while the program is active. When you switch to a different application, the devices will be released prior to activating the other program. If a Play operation is in progress, it is terminated at the point where a different application is activated.
  • While Playing: The MIDI devices will only be open while a score is being played back. Whenever a Play operation is not being performed, the MIDI devices are available for some other application.
  • Always: The MIDI devices are always open and available. This is a good option if you do not plan to use other applications that require the MIDI devices at the same time.

See Also

  • Tools Menu Commands


Record Options Dialog Tab

The following options are included in this tab:

  • Input Device

    This box is used to designate a MIDI device driver that should be used for MIDI input and recording features. This generally requires that you have an external MIDI device, such as a MIDI keyboard, that is connected to your computer via a MIDI interface.

MIDI Through/Echo

  • Echo MIDI Input

    This field is used to enable a MIDI echo feature. When enabled, any MIDI data received from the MIDI input device will be echoed to the play device listed in the 'echo input to play device' box. This is generally used for playing your internal sound card from an external MIDI keyboard. When echo is disabled, anything you play on an external keyboard will not generally trigger sounds in your computer's sound card.

  • Echo Input to Play Device

    This field is used to specify a playback device for use in the MIDI echo feature. If you have a MIDI keyboard, and have enabled the MIDI input device and the echo feature, then any MIDI data received will be echoed to this device.

  • Echo to MIDI Channel

    This field can be used to override the MIDI channel for events arriving from the MIDI input device. This can be used to echo input received from one channel to a different channel on your internal sound card.

Import Options

  • After recording, import into box

    This field controls how a recorded MIDI performance will be handled after the recording is completed. The choices for handling the recorded data are:

    New window: A new score window will be created with the imported notation from the performance

    'Record' group: The imported staff or staves will be added to the current score. They will be placed in a group called 'Record'. If the group already exists, then the import will add a staff to the group. If the group does not exist, it will be created.

    Buffer only: The recorded performance will simply be captured into the record buffer, but no import actions will be performed. In this case, the Import Recording command must be used to import the performance.

See Also

  • Tools Menu Commands


Performance Style Properties

Performance style properties include:

  • Style

    Select the style that you want to include in the staff from the items in this drop-down list. If you select Legato or Tenuto, notes will generally be played longer. If you select Staccato, notes will generally be played shorter. Other selections will not alter the performance.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Rest Properties

Rest properties can be changed after the rest has been added to the staff. rest properties include:

  • Vertical Offset

    This option can be used to change the vertical location of a rest on the staff. This is most useful when working with one or more layered staves that overlap each other. The rest can be moved up or down to avoid a collision with a note in another staff.

  • Slur Direction

    This box controls the direction of a slur on the selected notes, if a slur exists. It is recommended that the slur direction be set the same for all note members belonging in the slur range. This will yield the best results in the editor and when printing.

    This is most useful when working with staff layering, in order to avoid slur collisions with notation in another layered staff.

  • Lyric Syllable

    Any note, chord, or rest can automatically be used in the placement of lyrics. By default, all notes except rests, grace notes, and notes that receive a tie or slur get attached to a lyric syllable. This box can be used to override the default lyric attachment behavior.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Note Properties

Note properties are assigned to one or more selected notes after they have been added to the staff. Note properties include:

  • Extra Accidental Spacing

    This option can be used to add additional accidental space between a note and its accidental. This is most useful when working with one or more layered staves that overlap each other. This can be used to create extra room between a note and its accidental, making other notes that exist in a different layered staff to be more visible. A note accidental can be moved to further to the left in order to avoid a collision with an accidental in another staff.

  • Extra Note Spacing

    This option can be used to add space to the left side of a note on the staff. If the note includes an accidental, this space will appear after the accidental space, but before the note head. This is most useful when working with one or more layered staves that overlap each other. A note head can be moved to further to the right to avoid a collision with a note in another staff.

  • Muted

    This allows a note or chord to be muted such that it will not be heard during play back. Be careful with this, as muting the receiving end of a note tie will cause stuck notes that never stop playing.

  • No Leger Lines

    This option can be used to prevent leger lines from being shown for selected notes, even if the note extends outside of the normal five line staff.

  • Use stem for articulations

    When set, any articulations added to the note or chord will appear on the stem side of the note, rather than at the notehead. If the selected note is part of a beam, you might also want to override the note's stem length in order to have any articulations properly appear near the end of the note stem.

  • Override Stem Length

    Use this option to override the default stem length on the selected notes. You can assign a zero length if you want to hide the stem completely.

  • Slur Direction

    This box controls the direction of a slur on the selected notes, if a slur exists. It is recommended that the slur direction be set the same for all note members belonging in the slur range. This will yield the best results in the editor and when printing.

    This is most useful when working with staff layering, in order to avoid slur collisions with notation in another layered staff.

  • Tie Direction

    This box controls the direction of a tie on the selected notes, if a tie exists. If applied to a chord, this will force all tied notes in the chord to use the same tie direction.

    This is most useful when working with staff layering, in order to avoid tie collisions with notation in another layered staff.

  • Lyric Syllable

    Any note, chord, or rest can automatically be used in the placement of lyrics. By default, all notes except rests, grace notes, and notes that receive a tie or slur get attached to a lyric syllable. This box can be used to override the default lyric attachment behavior.

  • Notehead Color

    Each note can be assigned its own notehead color. For chords, this should generally be done while adding the note members to the chord. You can use this control to reset the notehead color for all currently selected notes, including those within a selected chord.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Special Ending Properties

Special ending properties include:

  • Standard Special Endings (1 through 7)

    Using these boxes, you can set the different endings that apply to the section that follows this item in the staff. Up to seven standard endings are supported. You can select more than one ending in a single item. These are used in conjunction with master repeat open and close bar lines to build a repeated section.

  • Default (D.S./D.C.) Ending

    This is the default ending for a repeated section. The default is used after a Dal Segno or Da Capo have been executed, since master repeats are themselves ignored after one of the flow directions have been executed.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


General Staff Properties

General staff properties are set from this tab, including:

Staff Name

Enter the name that you would like to be associated with this staff. This name must be unique in the score. It cannot be the same as any other staff name that already is present in the score.

Staff Label

This is a label that identifies the staff. It does not need to be unique.

If Staff Labels are enabled when printing (from File|Page Setup), this label will be placed to the left of the staff when it is printed. When labeling a grand staff, add a label name to the first staff in the brace, then leave the label blank for the other staves in the grand staff brace.

Group

This box contains the group name that will contain this staff. A score organizes its parts into groups. Each score can have more than one group, with different staff groups assigned via this field. A staff can only reside in a single group.

A typical use of the staff group would be to divide a song up into melody and rhythm sections. This list box is where each staff can be assigned to a particular group. Each staff can be included in one, and only one, group. Creating a new group is accomplished by simply typing in a new group name in this box. It will then be available to subsequent staff properties. By default, all new staves are assigned into a group called Standard.

Ending Bar

This option determines what kind of bar line appears at the end of the staff. You can use this to customize the look of the final bar line in the staff.

See Also

  • Introduction to Property Dialog Boxes
  • Tools Menu Commands
  • Insert Menu Commands


Staff Performance Properties

Staff performance properties used in MIDI play back include:

  • Muted

    This allows the staff to be enabled or disabled during play back. When muted, all notes in the staff will be ignored when playing the song. Tempo marks, instrument patch changes, and volume changes will still be included in the play back, in case another staff uses the same channel, and depends on the settings from this staff.

  • Part Volume

    This controls the initial volume for this staff's MIDI channel. A value of -1 indicates that the volume currently set for this channel should not be changed, and no volume settings will be sent to the MIDI device. Volume levels range from 0 to 127, with 127 being the loudest. By default, a new staff is assigned an initial volume of 127, which is the loudest possible setting.

  • Stereo Pan

    This controls the initial stereo position for the instrument associated with this staff. A value of -1 indicates that the stereo position currently set for this channel should not be changed. Stereo position levels range from 0 to 127, with 64 being the center position in the stereo image. New staff parts are initially assigned a pan position of 64.

    Note: not all MIDI devices respond to this parameter. Consult your device's documentation if it does not respond to changes in this box.

  • Play back device

    Specify which device should be used for play back of this staff. This can be any of the devices that are currently configured for use from within the MIDI tab of the Options dialog. Up to 16 devices can be used for play back, if you are lucky enough to have this many devices on your system.

    Note: The device cannot be changed later from within the notation. A staff always uses the same device for play back, as listed in this box.

  • Channel

    This specifies which channel on the specified device should be used for playback of this staff.

    MIDI devices can support up to 16 channels. Each channel generally uses its own instrument patch, volume, and various other performance parameters. It is usually necessary to use unique channels per staff so that one staff does not interfere with the playback of another staff. By default, each new staff is assigned a new, unique channel.

See Also

  • Introduction to Property Dialog Boxes
  • Inserting an Instrument Patch
  • Tools Menu Commands
  • Insert Menu Commands


Visual Staff Properties

Display properties for a staff include:

  • Upper Vertical Size

    Each staff has a reserved amount of space that it requires when a system is constructed. This box indicates the number of note positions reserved above this staff when it is displayed. This reserves a portion of space for the notation in the staff.

  • Lower Vertical Size

    Each staff has a reserved amount of space that it requires when a system is constructed. This box indicates the number of note positions reserved below this staff when it is displayed. This reserves a portion of space for the notation in the staff.

  • Lines

    This controls the number of lines displayed by the staff. Normally, this should be set to five.

  • Style

    The style of the staff can be assigned in this field. The style is used to adjust how bar lines are drawn in the staff, and whether the staff is connected to another staff to form a grand staff. This allows the following styles to be designated for the staff:

    Standard: The staff will not have a brace on the far left, and it will not connect its bar lines to adjacent staves.

    Upper/Lower Grand Staff: Allows a pair of staves to be designated as a grand staff. Their bar lines will be connected, and they will be braced on the left side in each system.

    Orchestral: The staff appearance will be consistent with a conductor's score. It will have its bar lines connected with all adjacent staves, and will have a decorative corner added if it is the first or last staff in the system.

  • Layer with next staff

    When set, the staff will overlap with the next staff in the system whenever Layering is enabled for the score.

  • Color

    Each staff can be assigned one of the custom highlight colors. If this is done, the editor will no longer show this staff in active and inactive colors. It will use this color instead. Custom highlight colors can be changed from the Color tab in Tools | Options.

See Also

  • Introduction to Property Dialog Boxes
  • Tools Menu Commands
  • Insert Menu Commands


Sustain Pedal Properties

Sustain pedal properties include:

  • Style

    This box is used to indicate whether the sustain pedal is being pressed down or being released. The equivalent MIDI sustain pedal message will be sent based on the value of this box.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Tempo Properties

Tempo properties include:

  • Base

    This field defines the tempo base. For example, if this is set to Quarter, then the specified tempo will be in units of quarter notes per minute.

  • Tempo

    This is the tempo, in base units per minute.

  • Optional Text Expression

    The tempo can optionally include a predefined text-based instruction to the performer. This optional text can be added in this box.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Tempo Variance Properties

Tempo variance properties include:

  • Style

    This box is used to set the type of variance that will be placed into the staff.

  • Delay (for fermata and breath marks)

    This is the delay that will be performed when this item is encountered during play back. This is used only for the fermata and breath mark variance types. In all other cases it is ignored. The value is in units of sixteenth notes. For example, a fermata with a delay of four will cause the playback to hold for the equivalent of one quarter note. The delay should only be specified for one instance of the mark at any given vertical position in the song.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Text Expression Properties

Text expression properties include:

  • Expression

    Type the text that you want to include in the staff into this box.

  • Display Font

    You can control the look of the text using this box. Currently, you can specify that the text be either bold text or italic text.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Time Signature Properties

Time signature properties include:

  • Beats Per Measure

    This is the value used for the top half of the time signature. This is generally the number of beats per measure. If you want to use common or cut time, this should be set in the drop-down box below these fields.

  • Value of Beat

    This is the value used for the lower half of the time signature. This is generally the value of the beat. If you want to use common or cut time, this should be set in the drop-down box below these fields.

  • Style

    For standard time signatures, leave this value set to Standard. If you need common or cut time, then set the value to Common time or Alla Breve respectively.

See Also

  • Introduction to Property Dialog Boxes
  • Edit | Properties Command
  • Insert Menu Commands


Sample Link

See how that worked! Any tips that include the Additional Information button have extra information in the help file that can be quickly reviewed simply by pressing it. When you are finished reviewing the information, you can return to the program by pressing the Alt and Tab keys simultaneously until the program is selected.


Removing NoteWorthy Composer

NoteWorthy Composer 2 includes an uninstall utility in the product. A selection is added to the remove software section of the Add/Remove Software applet in the control panel. This makes the removal of the application a relatively simple process. It can be done as follows:

  1. Close any and all NoteWorthy Composer 2 application windows.

    Windows will not allow the removal of application files that are currently in use. If you are currently using NoteWorthy Composer 2, you must exit before continuing these steps. You will also need to close this help file or Windows will prevent you from deleting it.

  2. Run the remove utility.

    *** W A R N I N G ***
    This will remove the NoteWorthy Composer 2 application folder. If you have custom files or settings contained in this folder, make sure that you back them up before proceeding.